<?php
/*
Plugin Name: PRESSO Demo Installer
Plugin URI: http://themeforest.net/user/envirra/portfolio?ref=envirra
Description: Demo installer for PRESSO
Version: 1.0.2
Author: Envirra
Author URI: http://themeforest.net/user/envirra/portfolio?ref=envirra
*/

/*
https://github.com/proteusthemes/one-click-demo-import
 */

defined( 'PRESSO_DEMO_INSTALLER_URI' ) || define( 'PRESSO_DEMO_INSTALLER_URI', plugin_dir_url( __FILE__ ) );

if ( ! defined( 'PT_OCDI_VERSION' ) ) {
	require_once 'one-click-demo-import/one-click-demo-import.php';
}

add_filter( 'pt-ocdi/import_files', 'presso_ocdi_import_files' );
if ( ! function_exists( 'presso_ocdi_import_files' ) ) {
	function presso_ocdi_import_files() {
		return array(
			array(
				'import_file_name'           => 'Demo 1 : News / Magazine',
				'import_file_url'            => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo1/demo1.xml' ),
				'import_widget_file_url'     => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo1/widget.json' ),
				'import_preview_image_url'   => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo1/preview.jpg' ),
				'import_theme_options_url'   => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo1/theme-options.json' ),
				'home_page_title'			 => 'Home 1',
				// 'import_notice'              => __( 'After you import this demo, you will have to setup the slider separately.', 'presso' ),
			),

			array(
				'import_file_name'           => 'Demo 2 : Blog',
				'import_file_url'            => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo2/demo2.xml' ),
				'import_widget_file_url'     => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo2/widget.json' ),
				'import_preview_image_url'   => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo2/preview.jpg' ),
				'import_theme_options_url'   => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo2/theme-options.json' ),
				'home_page_title'			 => 'Home 5',
				// 'import_notice'              => __( 'After you import this demo, you will have to setup the slider separately.', 'presso' ),
			),

			array(
				'import_file_name'           => 'Demo 3 : Viral',
				'import_file_url'            => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo3/demo3.xml' ),
				'import_widget_file_url'     => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo3/widget.json' ),
				'import_preview_image_url'   => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo3/preview.jpg' ),
				'import_theme_options_url'   => esc_url( PRESSO_DEMO_INSTALLER_URI . 'demo-content/demo3/theme-options.json' ),
				'home_page_title'			 => 'Home 5',
				// 'import_notice'              => __( 'After you import this demo, you will have to setup the slider separately.', 'presso' ),
			),
		);
	}
}

add_filter( 'pt-ocdi/plugin_page_setup', 'presso_ocdi_plugin_page_setup' );
if ( ! function_exists( 'presso_ocdi_plugin_page_setup' ) ) {
	function presso_ocdi_plugin_page_setup( $default_settings ) {
		$default_settings['page_title']  = esc_html__( 'Import Demo for Presso Theme' , 'presso' );
		$default_settings['menu_title']  = esc_html__( 'Import Demo' , 'presso' );

		return $default_settings;
	}
}


add_action( 'pt-ocdi/before_widgets_import', 'presso_import_theme_options' );
if ( ! function_exists( 'presso_import_theme_options' ) ) {
	function presso_import_theme_options( $selected_import ) {
		$content_url = 'http://192.168.1.2:81/presso/wp-content';

		if ( empty( $selected_import[ 'import_theme_options_url' ] ) ) return;

		$response = wp_remote_get(
			$selected_import[ 'import_theme_options_url' ],
			array( 'timeout' => 20 )
		);

		if ( ! ( is_wp_error( $response ) && 200 !== $response['response']['code'] ) ) {
			$raw_json = wp_remote_retrieve_body( $response );
			$raw_json = str_replace( $content_url, esc_url( content_url() ), $raw_json );

			$new_options = json_decode( $raw_json, true );

			if ( json_last_error() == JSON_ERROR_NONE ) {
				update_option( 'presso_options', $new_options );

				presso_register_additional_sidebars( $new_options[ 'additional_sidebars' ] );
			}
		}
	}
}

add_action( 'pt-ocdi/after_import', 'presso_after_import_demo' );
if ( ! function_exists( 'presso_after_import_demo' ) ) {
	function presso_after_import_demo( $selected_import ) {
		// Assign menus to their locations.
		$main_menu = get_term_by( 'name', 'Sample Main Menu', 'nav_menu' );
		$top_menu = get_term_by( 'name', 'Sample Top Menu', 'nav_menu' );

		set_theme_mod( 'nav_menu_locations', array(
			'vw_menu_main' => $main_menu->term_id,
			'vw_menu_top' => $top_menu->term_id,
			'vw_menu_bottom' => $top_menu->term_id,
		) );

		// Assign front page and posts page (blog page).
		update_option( 'show_on_front', 'page' );

		$blog_page_id  = get_page_by_title( 'Blog' );
		update_option( 'page_for_posts', $blog_page_id->ID );

		$front_page_id = get_page_by_title( $selected_import[ 'home_page_title' ] );
		update_option( 'page_on_front', $front_page_id->ID );
	}
}