<?php
if ( ( ! defined( 'PRESSO_CONST_ENABLE_SHORTCODES' ) && ! is_admin() ) ) {
	return;
}

/* -----------------------------------------------------------------------------
 * Init editor
 * -------------------------------------------------------------------------- */
add_action( 'vwsce_editor_init', 'presso_shortcode_editor_init' );
if ( ! function_exists( 'presso_shortcode_editor_init' ) ) {
	function presso_shortcode_editor_init() {
		$button_style_options = array(
			'' => esc_html__( 'Default', 'presso' ),
			'accent' => esc_html__( 'Accent', 'presso' ),
			'white' => esc_html__( 'White', 'presso' ),
			'light' => esc_html__( 'Light', 'presso' ),
			'black' => esc_html__( 'Black', 'presso' ),
			'orange' => esc_html__( 'Orange', 'presso' ),
			'red' => esc_html__( 'Red', 'presso' ),
			'yellow' => esc_html__( 'Yellow', 'presso' ),
			'blue' => esc_html__( 'Blue', 'presso' ),
			'green' => esc_html__( 'Green', 'presso' ),
			'purple' => esc_html__( 'Purple', 'presso' ),
			'pink' => esc_html__( 'Pink', 'presso' ),
		);

		$shortcodes = array();

		$shortcodes[ 'accordion' ] = array(
			'atts' => array(
				'title' => array(
					'title' => esc_html__( 'Title', 'presso' ),
					'desc' => '',
					'default' => '',
					'type' => 'text',
				),
				'open' => array(
					'title' => esc_html__( 'Open', 'presso' ),
					'desc' => esc_html__( 'Open this toggle by default', 'presso' ),
					'default' => 'false',
					'type' => 'dropdown',
					'options' => array(
						'false' => esc_html__( 'False', 'presso' ),
						'true' => esc_html__( 'True', 'presso' ),
					),
				),
				'content' => array(
					'title' => esc_html__( 'Content', 'presso' ),
					'desc' => '',
					'default' => 'Lorem ipsum',
					'type' => 'html',
					'render_as' => 'content',
				),
			),
		);

		$shortcodes[ 'posts' ] = array(
			'atts' => array(
				'title' => array(
					'title' => esc_html__( 'Title', 'presso' ),
					'desc' => '',
					'default' => '',
					'type' => 'text',
				),
				'count' => array(
					'title' => esc_html__( 'Post Counts', 'presso' ),
					'desc' => esc_html__( 'Number of post to be shown', 'presso' ),
					'default' => '6',
					'type' => 'text',
				),
				'offset' => array(
					'title' => esc_html__( 'Skip posts', 'presso' ),
					'desc' => esc_html__( 'Number of post to displace or pass over', 'presso' ),
					'default' => '0',
					'type' => 'text',
				),
				'cat_name' => array(
					'title' => esc_html__( 'Post Category', 'presso' ),
					'desc' => esc_html__( 'Slug of categories. Separated by comma', 'presso' ),
					'default' => '',
					'type' => 'text',
				),
				'cat_exclude' => array(
					'title' => esc_html__( 'Exclude Categories', 'presso' ),
					'desc' => esc_html__( 'ID of categories to be excluded. Separated by comma', 'presso' ),
					'default' => '',
					'type' => 'text',
				),
				'tag' => array(
					'title' => esc_html__( 'Post Tagged', 'presso' ),
					'desc' => esc_html__( 'Slug of tags. Separated by comma', 'presso' ),
					'default' => '',
					'type' => 'text',
				),
				'layout' => array(
					'title' => esc_html__( 'Layout', 'presso' ),
					'desc' => esc_html__( 'Layout of posts', 'presso' ),
					'default' => 'block-a-2',
					'type' => 'dropdown',
					'options' => array(
						'block-a-1' => esc_html__( 'Block A-1', 'presso' ),
						'block-a-2' => esc_html__( 'Block A-2', 'presso' ),
						'block-a-3' => esc_html__( 'Block A-3', 'presso' ),
						'block-b-1' => esc_html__( 'Block B-1', 'presso' ),
						'block-b-2' => esc_html__( 'Block B-2', 'presso' ),
						'block-b-3' => esc_html__( 'Block B-3', 'presso' ),
						'block-c-1' => esc_html__( 'Block C-1', 'presso' ),
						'block-c-2' => esc_html__( 'Block C-2', 'presso' ),
						'block-c-3' => esc_html__( 'Block C-3', 'presso' ),
						'block-c-4' => esc_html__( 'Block C-4', 'presso' ),
						'block-d-1' => esc_html__( 'Block D-1', 'presso' ),
						'block-d-2' => esc_html__( 'Block D-2', 'presso' ),
						'block-d-3' => esc_html__( 'Block D-3', 'presso' ),
						'block-d-4' => esc_html__( 'Block D-4', 'presso' ),
						'block-e-1' => esc_html__( 'Block E-1', 'presso' ),
						'block-e-2' => esc_html__( 'Block E-2', 'presso' ),
						'block-e-3' => esc_html__( 'Block E-3', 'presso' ),
						'block-f-1' => esc_html__( 'Block F-1', 'presso' ),
						'block-f-2' => esc_html__( 'Block F-2', 'presso' ),
						'block-f-3' => esc_html__( 'Block F-3', 'presso' ),
						'block-g-1' => esc_html__( 'Block G-1', 'presso' ),
						'block-g-2' => esc_html__( 'Block G-2', 'presso' ),
						'block-g-3' => esc_html__( 'Block G-3', 'presso' ),
						'block-g-4' => esc_html__( 'Block G-4', 'presso' ),
						'block-g-5' => esc_html__( 'Block G-5', 'presso' ),
						'block-h-1' => esc_html__( 'Block H-1', 'presso' ),
						'block-h-2' => esc_html__( 'Block H-2', 'presso' ),
						'block-h-3' => esc_html__( 'Block H-3', 'presso' ),
						'block-h-4' => esc_html__( 'Block H-4', 'presso' ),
						'block-h-5' => esc_html__( 'Block H-5', 'presso' ),
						'block-i-1' => esc_html__( 'Block I-1', 'presso' ),
						'block-i-2' => esc_html__( 'Block I-2', 'presso' ),
						'block-i-3' => esc_html__( 'Block I-3', 'presso' ),
						'block-i-4' => esc_html__( 'Block I-4', 'presso' ),
						'custom-1' => esc_html__( 'Custom 1', 'presso' ),
						'custom-2' => esc_html__( 'Custom 2', 'presso' ),
						'custom-3' => esc_html__( 'Custom 3', 'presso' ),
						'custom-4' => esc_html__( 'Custom 4', 'presso' ),
					),
				),
				'order' => array(
					'title' => esc_html__( 'Order', 'presso' ),
					'desc' => esc_html__( 'Ordering of posts', 'presso' ),
					'default' => 'latest',
					'type' => 'dropdown',
					'options' => array(
						'latest' => esc_html__( 'Latest posts', 'presso' ),
						'latest_gallery' => esc_html__( 'Latest Gallery Posts', 'presso' ),
						'latest_video' => esc_html__( 'Latest Video Posts', 'presso' ),
						'latest_audio' => esc_html__( 'Latest Audio Posts', 'presso' ),
						'featured' => esc_html__( 'Latest Featured Posts', 'presso' ),
						'latest_reviews' => esc_html__( 'Latest Reviews', 'presso' ),
						'most_review_score' => esc_html__( 'Most Review Score', 'presso' ),
						'most_viewed' => esc_html__( 'Most Viewed', 'presso' ),
						'daily_trending_viewed' => esc_html__( 'Daily Trending Views', 'presso' ),
						'weekly_trending_viewed' => esc_html__( 'Weekly Trending Views', 'presso' ),
						'monthly_trending_viewed' => esc_html__( 'Monthly Trending Views', 'presso' ),
					),
				),
				'pagination' => array(
					'title' => esc_html__( 'Pagination', 'presso' ),
					'desc' => esc_html__( 'Show pagination', 'presso' ),
					'default' => 'hide',
					'type' => 'dropdown',
					'options' => array(
						'hide' => esc_html__( 'Hide', 'presso' ),
						'numeric' => esc_html__( 'Numeric', 'presso' ),
						'infinite' => esc_html__( 'Infinite with Load More button', 'presso' ),
						'infinite-auto' => esc_html__( 'Infinite with auto-loading', 'presso' ),
					),
				),
				'avoid_duplicate' => array(
					'title' => esc_html__( 'Avoid Duplicated Posts', 'presso' ),
					'desc' => esc_html__( 'Hide a post that already displayed in other sections', 'presso' ),
					'default' => 'false',
					'type' => 'dropdown',
					'options' => array(
						'false' => esc_html__( 'False', 'presso' ),
						'true' => esc_html__( 'True', 'presso' ),
					),
				),
			),
		);

		$shortcodes[ 'button' ] = array(
			'atts' => array(
				'label' => array(
					'title' => esc_html__( 'Label', 'presso' ),
					'desc' => '',
					'default' => 'Label',
					'type' => 'text',
					'render_as' => 'content',
				),
				'style' => array(
					'title' => esc_html__( 'Style', 'presso' ),
					'desc' => '',
					'default' => 'primary',
					'type' => 'dropdown',
					'options' => $button_style_options,
				),
				'url' => array(
					'title' => esc_html__( 'Link to Url', 'presso' ),
					'desc' => '',
					'default' => '',
					'type' => 'text',
				),
				'target' => array(
					'title' => esc_html__( 'Link Target', 'presso' ),
					'desc' => esc_html__( 'The location to open link, enter "_blank" for open the link in new window', 'presso' ),
					'default' => '_self',
					'type' => 'text',
				),
				'icon' => array(
					'title' => esc_html__( 'Icon', 'presso' ),
					'desc' => '',
					'default' => '',
					'type' => 'icon',
				),
				'arrow' => array(
					'title' => esc_html__( 'Show Arrow', 'presso' ),
					'desc' => esc_html__( 'Show an arrow in the button', 'presso' ),
					'default' => 'false',
					'type' => 'dropdown',
					'options' => array(
						'false' => esc_html__( 'False', 'presso' ),
						'true' => esc_html__( 'True', 'presso' ),
					),
				),
				'fullwidth' => array(
					'title' => esc_html__( 'Full Width', 'presso' ),
					'desc' => esc_html__( 'Expand button to fit the container', 'presso' ),
					'default' => 'false',
					'type' => 'dropdown',
					'options' => array(
						'false' => esc_html__( 'False', 'presso' ),
						'true' => esc_html__( 'True', 'presso' ),
					),
				),
			),
		);

		$shortcodes[ 'dropcap' ] = array(
			'atts' => array(
				'text' => array(
					'title' => esc_html__( 'Character', 'presso' ),
					'desc' => esc_html__( 'The character to be a dropcap', 'presso' ),
					'default' => '',
					'type' => 'text',
					'render_as' => 'content',
				),
				'style' => array(
					'title' => esc_html__( 'Style', 'presso' ),
					'desc' => esc_html__( 'Choose a style of dropcap', 'presso' ),
					'default' => 'standard',
					'type' => 'dropdown',
					'options' => array(
						'standard' => esc_html__( 'Standard', 'presso' ),
						'circle' => esc_html__( 'Circle', 'presso' ),
						'box' => esc_html__( 'Box', 'presso' ),
					),
				),
			),
		);

		$shortcodes[ 'infobox' ] = array(
			'atts' => array(
				'title' => array(
					'title' => esc_html__( 'Title', 'presso' ),
					'desc' => '',
					'default' => '',
					'type' => 'text',
				),
				'text' => array(
					'title' => esc_html__( 'Content', 'presso' ),
					'desc' => '',
					'default' => '',
					'type' => 'html',
					'render_as' => 'content',
				),
			),
		);

		$shortcodes[ 'mark' ] = array(
			'atts' => array(
				'text' => array(
					'title' => esc_html__( 'Text', 'presso' ),
					'desc' => esc_html__( 'the text to be marked', 'presso' ),
					'default' => '',
					'type' => 'text',
					'render_as' => 'content',
				),
			),
		);

		$shortcodes[ 'quote' ] = array(
			'atts' => array(
				'text' => array(
					'title' => esc_html__( 'Text', 'presso' ),
					'desc' => '',
					'default' => '',
					'type' => 'text',
					'render_as' => 'content',
				),
				'cite' => array(
					'title' => esc_html__( 'Cite', 'presso' ),
					'desc' => '',
					'default' => '',
					'type' => 'text',
				),
				'align' => array(
					'title' => esc_html__( 'Align', 'presso' ),
					'desc' => '',
					'default' => 'none',
					'type' => 'dropdown',
					'options' => array(
						'none' => esc_html__( 'None', 'presso' ),
						'left' => esc_html__( 'Left', 'presso' ),
						'right' => esc_html__( 'Right', 'presso' ),
					),
				),
			),
		);

		$shortcodes[ 'title' ] = array(
			'atts' => array(
				'text' => array(
					'title' => esc_html__( 'Title', 'presso' ),
					'desc' => esc_html__( 'The title text', 'presso' ),
					'default' => '',
					'type' => 'text',
					'render_as' => 'content',
				),
				'align' => array(
					'title' => esc_html__( 'Align', 'presso' ),
					'desc' => '',
					'default' => 'left',
					'type' => 'dropdown',
					'options' => array(
						'left' => esc_html__( 'Left', 'presso' ),
						'right' => esc_html__( 'Right', 'presso' ),
						'center' => esc_html__( 'Center', 'presso' ),
					),
				),
				'size' => array(
					'title' => esc_html__( 'Size', 'presso' ),
					'desc' => '',
					'default' => 'medium',
					'type' => 'dropdown',
					'options' => array(
						'medium' => esc_html__( 'Medium', 'presso' ),
						'large' => esc_html__( 'Large', 'presso' ),
					),
				),
			),
		);

		global $presso_sce;
		$presso_sce->register_shortcodes( $shortcodes );
	}
}


add_action( 'after_setup_theme', 'presso_setup_sce_theme_icon_set' );
if ( ! function_exists( 'presso_setup_sce_theme_icon_set' ) ) {
	function presso_setup_sce_theme_icon_set() {
		add_filter( 'vwsce_icon_list', 'presso_sce_theme_icon_entypo' );

		if ( function_exists( 'presso_get_theme_option' ) ) {
			if ( presso_get_theme_option( 'enable_icon_iconic' ) ) {
				add_filter( 'vwsce_icon_list', 'presso_sce_theme_icon_iconic' );
			}

			if ( presso_get_theme_option( 'enable_icon_awesome' ) ) {
				add_filter( 'vwsce_icon_list', 'presso_sce_theme_icon_awesome' );
			}
			
			if ( presso_get_theme_option( 'enable_icon_elusive' ) ) {
				add_filter( 'vwsce_icon_list', 'presso_sce_theme_icon_elusive' );
			}
		}
	}
}


/**
 * Entypo icon
 */

if ( ! function_exists( 'presso_sce_theme_icon_entypo' ) ) {
	function presso_sce_theme_icon_entypo( $icons ) {
		add_action( 'vwsce_after_build_editor', 'presso_sce_enqueue_font_icon_entypo' );

		return array_merge( $icons, array(
			'icon-entypo-note', 'icon-entypo-note-beamed', 'icon-entypo-music', 'icon-entypo-search', 'icon-entypo-flashlight', 'icon-entypo-mail', 'icon-entypo-heart', 'icon-entypo-heart-empty', 'icon-entypo-star', 'icon-entypo-star-empty', 'icon-entypo-user', 'icon-entypo-users', 'icon-entypo-user-add', 'icon-entypo-video', 'icon-entypo-picture', 'icon-entypo-camera', 'icon-entypo-layout', 'icon-entypo-menu', 'icon-entypo-check', 'icon-entypo-cancel', 'icon-entypo-cancel-circled', 'icon-entypo-cancel-squared', 'icon-entypo-plus', 'icon-entypo-plus-circled', 'icon-entypo-plus-squared', 'icon-entypo-minus', 'icon-entypo-minus-circled', 'icon-entypo-minus-squared', 'icon-entypo-help', 'icon-entypo-help-circled', 'icon-entypo-info', 'icon-entypo-info-circled', 'icon-entypo-back', 'icon-entypo-home', 'icon-entypo-link', 'icon-entypo-attach', 'icon-entypo-lock', 'icon-entypo-lock-open', 'icon-entypo-eye', 'icon-entypo-tag', 'icon-entypo-bookmark', 'icon-entypo-bookmarks', 'icon-entypo-flag', 'icon-entypo-thumbs-up', 'icon-entypo-thumbs-down', 'icon-entypo-download', 'icon-entypo-upload', 'icon-entypo-upload-cloud', 'icon-entypo-reply', 'icon-entypo-reply-all', 'icon-entypo-forward', 'icon-entypo-quote', 'icon-entypo-code', 'icon-entypo-export', 'icon-entypo-pencil', 'icon-entypo-feather', 'icon-entypo-print', 'icon-entypo-retweet', 'icon-entypo-keyboard', 'icon-entypo-comment', 'icon-entypo-chat', 'icon-entypo-bell', 'icon-entypo-attention', 'icon-entypo-alert', 'icon-entypo-vcard', 'icon-entypo-address', 'icon-entypo-location', 'icon-entypo-map', 'icon-entypo-direction', 'icon-entypo-compass', 'icon-entypo-cup', 'icon-entypo-trash', 'icon-entypo-doc', 'icon-entypo-docs', 'icon-entypo-doc-landscape', 'icon-entypo-doc-text', 'icon-entypo-doc-text-inv', 'icon-entypo-newspaper', 'icon-entypo-book-open', 'icon-entypo-book', 'icon-entypo-folder', 'icon-entypo-archive', 'icon-entypo-box', 'icon-entypo-rss', 'icon-entypo-phone', 'icon-entypo-cog', 'icon-entypo-tools', 'icon-entypo-share', 'icon-entypo-shareable', 'icon-entypo-basket', 'icon-entypo-bag', 'icon-entypo-calendar', 'icon-entypo-login', 'icon-entypo-logout', 'icon-entypo-mic', 'icon-entypo-mute', 'icon-entypo-sound', 'icon-entypo-volume', 'icon-entypo-clock', 'icon-entypo-hourglass', 'icon-entypo-lamp', 'icon-entypo-light-down', 'icon-entypo-light-up', 'icon-entypo-adjust', 'icon-entypo-block', 'icon-entypo-resize-full', 'icon-entypo-resize-small', 'icon-entypo-popup', 'icon-entypo-publish', 'icon-entypo-window', 'icon-entypo-arrow-combo', 'icon-entypo-down-circled', 'icon-entypo-left-circled', 'icon-entypo-right-circled', 'icon-entypo-up-circled', 'icon-entypo-down-open', 'icon-entypo-left-open', 'icon-entypo-right-open', 'icon-entypo-up-open', 'icon-entypo-down-open-mini', 'icon-entypo-left-open-mini', 'icon-entypo-right-open-mini', 'icon-entypo-up-open-mini', 'icon-entypo-down-open-big', 'icon-entypo-left-open-big', 'icon-entypo-right-open-big', 'icon-entypo-up-open-big', 'icon-entypo-down', 'icon-entypo-left', 'icon-entypo-right', 'icon-entypo-up', 'icon-entypo-down-dir', 'icon-entypo-left-dir', 'icon-entypo-right-dir', 'icon-entypo-up-dir', 'icon-entypo-down-bold', 'icon-entypo-left-bold', 'icon-entypo-right-bold', 'icon-entypo-up-bold', 'icon-entypo-down-thin', 'icon-entypo-left-thin', 'icon-entypo-right-thin', 'icon-entypo-up-thin', 'icon-entypo-ccw', 'icon-entypo-cw', 'icon-entypo-arrows-ccw', 'icon-entypo-level-down', 'icon-entypo-level-up', 'icon-entypo-shuffle', 'icon-entypo-loop', 'icon-entypo-switch', 'icon-entypo-play', 'icon-entypo-stop', 'icon-entypo-pause', 'icon-entypo-record', 'icon-entypo-to-end', 'icon-entypo-to-start', 'icon-entypo-fast-forward', 'icon-entypo-fast-backward', 'icon-entypo-progress-0', 'icon-entypo-progress-1', 'icon-entypo-progress-2', 'icon-entypo-progress-3', 'icon-entypo-target', 'icon-entypo-palette', 'icon-entypo-list', 'icon-entypo-list-add', 'icon-entypo-signal', 'icon-entypo-trophy', 'icon-entypo-battery', 'icon-entypo-back-in-time', 'icon-entypo-monitor', 'icon-entypo-mobile', 'icon-entypo-network', 'icon-entypo-cd', 'icon-entypo-inbox', 'icon-entypo-install', 'icon-entypo-globe', 'icon-entypo-cloud', 'icon-entypo-cloud-thunder', 'icon-entypo-flash', 'icon-entypo-moon', 'icon-entypo-flight', 'icon-entypo-paper-plane', 'icon-entypo-leaf', 'icon-entypo-lifebuoy', 'icon-entypo-mouse', 'icon-entypo-briefcase', 'icon-entypo-suitcase', 'icon-entypo-dot', 'icon-entypo-dot-2', 'icon-entypo-dot-3', 'icon-entypo-brush', 'icon-entypo-magnet', 'icon-entypo-infinity', 'icon-entypo-erase', 'icon-entypo-chart-pie', 'icon-entypo-chart-line', 'icon-entypo-chart-bar', 'icon-entypo-chart-area', 'icon-entypo-tape', 'icon-entypo-graduation-cap', 'icon-entypo-language', 'icon-entypo-ticket', 'icon-entypo-water', 'icon-entypo-droplet', 'icon-entypo-air', 'icon-entypo-credit-card', 'icon-entypo-floppy', 'icon-entypo-clipboard', 'icon-entypo-megaphone', 'icon-entypo-database', 'icon-entypo-drive', 'icon-entypo-bucket', 'icon-entypo-thermometer', 'icon-entypo-key', 'icon-entypo-flow-cascade', 'icon-entypo-flow-branch', 'icon-entypo-flow-tree', 'icon-entypo-flow-line', 'icon-entypo-flow-parallel', 'icon-entypo-rocket', 'icon-entypo-gauge', 'icon-entypo-traffic-cone', 'icon-entypo-cc', 'icon-entypo-cc-by', 'icon-entypo-cc-nc', 'icon-entypo-cc-nc-eu', 'icon-entypo-cc-nc-jp', 'icon-entypo-cc-sa', 'icon-entypo-cc-nd', 'icon-entypo-cc-pd', 'icon-entypo-cc-zero', 'icon-entypo-cc-share', 'icon-entypo-cc-remix', 'icon-entypo-github', 'icon-entypo-github-circled', 'icon-entypo-flickr', 'icon-entypo-flickr-circled', 'icon-entypo-vimeo', 'icon-entypo-vimeo-circled', 'icon-entypo-twitter', 'icon-entypo-twitter-circled', 'icon-entypo-facebook', 'icon-entypo-facebook-circled', 'icon-entypo-facebook-squared', 'icon-entypo-gplus', 'icon-entypo-gplus-circled', 'icon-entypo-pinterest', 'icon-entypo-pinterest-circled', 'icon-entypo-tumblr', 'icon-entypo-tumblr-circled', 'icon-entypo-linkedin', 'icon-entypo-linkedin-circled', 'icon-entypo-dribbble', 'icon-entypo-dribbble-circled', 'icon-entypo-stumbleupon', 'icon-entypo-stumbleupon-circled', 'icon-entypo-lastfm', 'icon-entypo-lastfm-circled', 'icon-entypo-rdio', 'icon-entypo-rdio-circled', 'icon-entypo-spotify', 'icon-entypo-spotify-circled', 'icon-entypo-qq', 'icon-entypo-instagram', 'icon-entypo-dropbox', 'icon-entypo-evernote', 'icon-entypo-flattr', 'icon-entypo-skype', 'icon-entypo-skype-circled', 'icon-entypo-renren', 'icon-entypo-sina-weibo', 'icon-entypo-paypal', 'icon-entypo-picasa', 'icon-entypo-soundcloud', 'icon-entypo-mixi', 'icon-entypo-behance', 'icon-entypo-google-circles', 'icon-entypo-vkontakte', 'icon-entypo-smashing', 'icon-entypo-sweden', 'icon-entypo-db-shape', 'icon-entypo-logo-db',
		) );
	}
}

if ( ! function_exists( 'presso_sce_enqueue_font_icon_entypo' ) ) {
	function presso_sce_enqueue_font_icon_entypo() {
		?>
		<link rel="stylesheet" type="text/css" href="<?php echo esc_url( get_template_directory_uri() ); ?>/font-icons/entypo/css/entypo.css">
		<?php
	}
}


/**
 * Iconic icon
 */

if ( ! function_exists( 'presso_sce_theme_icon_iconic' ) ) {
	function presso_sce_theme_icon_iconic( $icons ) {
		add_action( 'vwsce_after_build_editor', 'presso_sce_enqueue_font_icon_iconic' );

		return array_merge( $icons, array(
			'icon-iconic-search','icon-iconic-mail','icon-iconic-heart','icon-iconic-heart-empty','icon-iconic-star','icon-iconic-user','icon-iconic-video','icon-iconic-picture','icon-iconic-camera','icon-iconic-ok','icon-iconic-ok-circle','icon-iconic-cancel','icon-iconic-cancel-circle','icon-iconic-plus','icon-iconic-plus-circle','icon-iconic-minus','icon-iconic-minus-circle','icon-iconic-help','icon-iconic-info','icon-iconic-home','icon-iconic-link','icon-iconic-attach','icon-iconic-lock','icon-iconic-lock-empty','icon-iconic-lock-open','icon-iconic-lock-open-empty','icon-iconic-pin','icon-iconic-eye','icon-iconic-tag','icon-iconic-tag-empty','icon-iconic-download','icon-iconic-upload','icon-iconic-download-cloud','icon-iconic-upload-cloud','icon-iconic-quote-left','icon-iconic-quote-right','icon-iconic-quote-left-alt','icon-iconic-quote-right-alt','icon-iconic-pencil','icon-iconic-pencil-neg','icon-iconic-pencil-alt','icon-iconic-undo','icon-iconic-comment','icon-iconic-comment-inv','icon-iconic-comment-alt','icon-iconic-comment-inv-alt','icon-iconic-comment-alt2','icon-iconic-comment-inv-alt2','icon-iconic-chat','icon-iconic-chat-inv','icon-iconic-location','icon-iconic-location-inv','icon-iconic-location-alt','icon-iconic-compass','icon-iconic-trash','icon-iconic-trash-empty','icon-iconic-doc','icon-iconic-doc-inv','icon-iconic-doc-alt','icon-iconic-doc-inv-alt','icon-iconic-article','icon-iconic-article-alt','icon-iconic-book-open','icon-iconic-folder','icon-iconic-folder-empty','icon-iconic-box','icon-iconic-rss','icon-iconic-rss-alt','icon-iconic-cog','icon-iconic-wrench','icon-iconic-share','icon-iconic-calendar','icon-iconic-calendar-inv','icon-iconic-calendar-alt','icon-iconic-mic','icon-iconic-volume-off','icon-iconic-volume-up','icon-iconic-headphones','icon-iconic-clock','icon-iconic-lamp','icon-iconic-block','icon-iconic-resize-full','icon-iconic-resize-full-alt','icon-iconic-resize-small','icon-iconic-resize-small-alt','icon-iconic-resize-vertical','icon-iconic-resize-horizontal','icon-iconic-move','icon-iconic-popup','icon-iconic-down','icon-iconic-left','icon-iconic-right','icon-iconic-up','icon-iconic-down-circle','icon-iconic-left-circle','icon-iconic-right-circle','icon-iconic-up-circle','icon-iconic-cw','icon-iconic-loop','icon-iconic-loop-alt','icon-iconic-exchange','icon-iconic-split','icon-iconic-arrow-curved','icon-iconic-play','icon-iconic-play-circle2','icon-iconic-stop','icon-iconic-pause','icon-iconic-to-start','icon-iconic-to-end','icon-iconic-eject','icon-iconic-target','icon-iconic-signal','icon-iconic-award','icon-iconic-award-empty','icon-iconic-list','icon-iconic-list-nested','icon-iconic-bat-empty','icon-iconic-bat-half','icon-iconic-bat-full','icon-iconic-bat-charge','icon-iconic-mobile','icon-iconic-cd','icon-iconic-equalizer','icon-iconic-cursor','icon-iconic-aperture','icon-iconic-aperture-alt','icon-iconic-steering-wheel','icon-iconic-book','icon-iconic-book-alt','icon-iconic-brush','icon-iconic-brush-alt','icon-iconic-eyedropper','icon-iconic-layers','icon-iconic-layers-alt','icon-iconic-sun','icon-iconic-sun-inv','icon-iconic-cloud','icon-iconic-rain','icon-iconic-flash','icon-iconic-moon','icon-iconic-moon-inv','icon-iconic-umbrella','icon-iconic-chart-bar','icon-iconic-chart-pie','icon-iconic-chart-pie-alt','icon-iconic-key','icon-iconic-key-inv','icon-iconic-hash','icon-iconic-at','icon-iconic-pilcrow','icon-iconic-dial','icon-iconic-basket',
		) );
	}
}

if ( ! function_exists( 'presso_sce_enqueue_font_icon_iconic' ) ) {
	function presso_sce_enqueue_font_icon_iconic() {
		?>
		<link rel="stylesheet" type="text/css" href="<?php echo esc_url( get_template_directory_uri() ); ?>/font-icons/iconic/css/iconic.css">
		<?php
	}
}


/**
 * Elusive icon
 */

if ( ! function_exists( 'presso_sce_theme_icon_elusive' ) ) {
	function presso_sce_theme_icon_elusive( $icons ) {
		add_action( 'vwsce_after_build_editor', 'presso_sce_enqueue_font_icon_elusive' );

		return array_merge( $icons, array(
			'icon-elusive-glass','icon-elusive-music','icon-elusive-search','icon-elusive-search-circled','icon-elusive-mail','icon-elusive-mail-circled','icon-elusive-heart','icon-elusive-heart-circled','icon-elusive-heart-empty','icon-elusive-star','icon-elusive-star-circled','icon-elusive-star-empty','icon-elusive-user','icon-elusive-group','icon-elusive-group-circled','icon-elusive-torso','icon-elusive-video','icon-elusive-video-circled','icon-elusive-video-alt','icon-elusive-videocam','icon-elusive-video-chat','icon-elusive-picture','icon-elusive-camera','icon-elusive-photo','icon-elusive-photo-circled','icon-elusive-th-large','icon-elusive-th','icon-elusive-th-list','icon-elusive-view-mode','icon-elusive-ok','icon-elusive-ok-circled','icon-elusive-ok-circled2','icon-elusive-cancel','icon-elusive-cancel-circled','icon-elusive-cancel-circled2','icon-elusive-plus','icon-elusive-plus-circled','icon-elusive-minus','icon-elusive-minus-circled','icon-elusive-help','icon-elusive-help-circled','icon-elusive-info-circled','icon-elusive-home','icon-elusive-home-circled','icon-elusive-website','icon-elusive-website-circled','icon-elusive-attach','icon-elusive-attach-circled','icon-elusive-lock','icon-elusive-lock-circled','icon-elusive-lock-open','icon-elusive-lock-open-alt','icon-elusive-eye','icon-elusive-eye-off','icon-elusive-tag','icon-elusive-tags','icon-elusive-bookmark','icon-elusive-bookmark-empty','icon-elusive-flag','icon-elusive-flag-circled','icon-elusive-thumbs-up','icon-elusive-thumbs-down','icon-elusive-download','icon-elusive-download-alt','icon-elusive-upload','icon-elusive-share','icon-elusive-quote','icon-elusive-quote-circled','icon-elusive-export','icon-elusive-pencil','icon-elusive-pencil-circled','icon-elusive-edit','icon-elusive-edit-circled','icon-elusive-edit-alt','icon-elusive-print','icon-elusive-retweet','icon-elusive-comment','icon-elusive-comment-alt','icon-elusive-bell','icon-elusive-warning','icon-elusive-exclamation','icon-elusive-error','icon-elusive-error-alt','icon-elusive-location','icon-elusive-location-circled','icon-elusive-compass','icon-elusive-compass-circled','icon-elusive-trash','icon-elusive-trash-circled','icon-elusive-doc','icon-elusive-doc-circled','icon-elusive-doc-new','icon-elusive-doc-new-circled','icon-elusive-folder','icon-elusive-folder-circled','icon-elusive-folder-close','icon-elusive-folder-open','icon-elusive-rss','icon-elusive-phone','icon-elusive-phone-circled','icon-elusive-cog','icon-elusive-cog-circled','icon-elusive-cogs','icon-elusive-wrench','icon-elusive-wrench-circled','icon-elusive-basket','icon-elusive-basket-circled','icon-elusive-calendar','icon-elusive-calendar-circled','icon-elusive-mic','icon-elusive-mic-circled','icon-elusive-volume-off','icon-elusive-volume-down','icon-elusive-volume','icon-elusive-volume-up','icon-elusive-headphones','icon-elusive-clock','icon-elusive-clock-circled','icon-elusive-lightbulb','icon-elusive-lightbulb-alt','icon-elusive-block','icon-elusive-resize-full','icon-elusive-resize-full-alt','icon-elusive-resize-small','icon-elusive-resize-vertical','icon-elusive-resize-horizontal','icon-elusive-move','icon-elusive-zoom-in','icon-elusive-zoom-out','icon-elusive-down-open','icon-elusive-left-open','icon-elusive-right-open','icon-elusive-up-open','icon-elusive-down','icon-elusive-left','icon-elusive-right','icon-elusive-up','icon-elusive-down-circled','icon-elusive-left-circled','icon-elusive-right-circled','icon-elusive-up-circled','icon-elusive-down-hand','icon-elusive-left-hand','icon-elusive-right-hand','icon-elusive-up-hand','icon-elusive-cw','icon-elusive-cw-circled','icon-elusive-arrows-cw','icon-elusive-shuffle','icon-elusive-play','icon-elusive-play-circled','icon-elusive-play-circled2','icon-elusive-stop','icon-elusive-stop-circled','icon-elusive-pause','icon-elusive-pause-circled','icon-elusive-record','icon-elusive-eject','icon-elusive-backward','icon-elusive-backward-circled','icon-elusive-fast-backward','icon-elusive-fast-forward','icon-elusive-forward','icon-elusive-forward-circled','icon-elusive-step-backward','icon-elusive-step-forward','icon-elusive-target','icon-elusive-signal','icon-elusive-desktop','icon-elusive-desktop-circled','icon-elusive-laptop','icon-elusive-laptop-circled','icon-elusive-network','icon-elusive-inbox','icon-elusive-inbox-circled','icon-elusive-inbox-alt','icon-elusive-globe','icon-elusive-globe-alt','icon-elusive-cloud','icon-elusive-cloud-circled','icon-elusive-flight','icon-elusive-leaf','icon-elusive-font','icon-elusive-fontsize','icon-elusive-bold','icon-elusive-italic','icon-elusive-text-height','icon-elusive-text-width','icon-elusive-align-left','icon-elusive-align-center','icon-elusive-align-right','icon-elusive-align-justify','icon-elusive-list','icon-elusive-indent-left','icon-elusive-indent-right','icon-elusive-briefcase','icon-elusive-off','icon-elusive-road','icon-elusive-qrcode','icon-elusive-barcode','icon-elusive-braille','icon-elusive-book','icon-elusive-adjust','icon-elusive-tint','icon-elusive-check','icon-elusive-check-empty','icon-elusive-asterisk','icon-elusive-gift','icon-elusive-fire','icon-elusive-magnet','icon-elusive-chart','icon-elusive-chart-circled','icon-elusive-credit-card','icon-elusive-megaphone','icon-elusive-clipboard','icon-elusive-hdd','icon-elusive-key','icon-elusive-certificate','icon-elusive-tasks','icon-elusive-filter','icon-elusive-gauge','icon-elusive-smiley','icon-elusive-smiley-circled','icon-elusive-address-book','icon-elusive-address-book-alt','icon-elusive-asl','icon-elusive-glasses','icon-elusive-hearing-impaired','icon-elusive-iphone-home','icon-elusive-person','icon-elusive-adult','icon-elusive-child','icon-elusive-blind','icon-elusive-guidedog','icon-elusive-accessibility','icon-elusive-universal-access','icon-elusive-male','icon-elusive-female','icon-elusive-behance','icon-elusive-blogger','icon-elusive-cc','icon-elusive-css','icon-elusive-delicious','icon-elusive-deviantart','icon-elusive-digg','icon-elusive-dribbble','icon-elusive-facebook','icon-elusive-flickr','icon-elusive-foursquare','icon-elusive-friendfeed','icon-elusive-friendfeed-rect','icon-elusive-github','icon-elusive-github-text','icon-elusive-googleplus','icon-elusive-instagram','icon-elusive-linkedin','icon-elusive-path','icon-elusive-picasa','icon-elusive-pinterest','icon-elusive-reddit','icon-elusive-skype','icon-elusive-slideshare','icon-elusive-stackoverflow','icon-elusive-stumbleupon','icon-elusive-twitter','icon-elusive-tumblr','icon-elusive-vimeo','icon-elusive-vkontakte','icon-elusive-w3c','icon-elusive-wordpress','icon-elusive-youtube',
		) );
	}
}

if ( ! function_exists( 'presso_sce_enqueue_font_icon_elusive' ) ) {
	function presso_sce_enqueue_font_icon_elusive() {
		?>
		<link rel="stylesheet" type="text/css" href="<?php echo esc_url( get_template_directory_uri() ); ?>/font-icons/elusive/css/elusive.css">
		<?php
	}
}


/**
 * Awesome icon
 */

if ( ! function_exists( 'presso_sce_theme_icon_awesome' ) ) {
	function presso_sce_theme_icon_awesome( $icons ) {
		add_action( 'vwsce_after_build_editor', 'presso_sce_enqueue_font_icon_awesome' );

		return array_merge( $icons, array(
			'icon-awesome-music','icon-awesome-search','icon-awesome-mail','icon-awesome-heart','icon-awesome-heart-empty','icon-awesome-star','icon-awesome-star-empty','icon-awesome-star-half','icon-awesome-user','icon-awesome-users','icon-awesome-video','icon-awesome-videocam','icon-awesome-picture','icon-awesome-camera','icon-awesome-camera-alt','icon-awesome-th-large','icon-awesome-th','icon-awesome-th-list','icon-awesome-ok','icon-awesome-ok-circled','icon-awesome-ok-circled2','icon-awesome-cancel','icon-awesome-cancel-circled','icon-awesome-cancel-circled2','icon-awesome-plus','icon-awesome-plus-circled','icon-awesome-minus','icon-awesome-minus-circled','icon-awesome-help-circled','icon-awesome-info-circled','icon-awesome-home','icon-awesome-link','icon-awesome-attach','icon-awesome-lock','icon-awesome-lock-open','icon-awesome-pin','icon-awesome-eye','icon-awesome-eye-off','icon-awesome-tag','icon-awesome-tags','icon-awesome-bookmark','icon-awesome-flag','icon-awesome-thumbs-up','icon-awesome-thumbs-down','icon-awesome-download','icon-awesome-upload','icon-awesome-forward','icon-awesome-export','icon-awesome-pencil','icon-awesome-edit','icon-awesome-print-1','icon-awesome-retweet','icon-awesome-comment','icon-awesome-chat','icon-awesome-bell','icon-awesome-attention','icon-awesome-attention-circled','icon-awesome-location','icon-awesome-trash-empty','icon-awesome-doc','icon-awesome-folder','icon-awesome-folder-open','icon-awesome-phone','icon-awesome-cog','icon-awesome-cog-alt','icon-awesome-wrench','icon-awesome-basket','icon-awesome-calendar-1','icon-awesome-login-1','icon-awesome-logout','icon-awesome-volume-off','icon-awesome-volume-down','icon-awesome-volume-up','icon-awesome-headphones','icon-awesome-clock','icon-awesome-block','icon-awesome-resize-full','icon-awesome-resize-small','icon-awesome-resize-vertical','icon-awesome-resize-horizontal','icon-awesome-zoom-in','icon-awesome-zoom-out','icon-awesome-down-circled2','icon-awesome-up-circled2','icon-awesome-down-dir','icon-awesome-up-dir','icon-awesome-left-dir','icon-awesome-right-dir','icon-awesome-down-open','icon-awesome-left-open','icon-awesome-right-open','icon-awesome-up-open','icon-awesome-down-big','icon-awesome-left-big','icon-awesome-right-big','icon-awesome-up-big','icon-awesome-right-hand','icon-awesome-left-hand','icon-awesome-up-hand','icon-awesome-down-hand','icon-awesome-cw','icon-awesome-ccw','icon-awesome-arrows-cw','icon-awesome-shuffle','icon-awesome-play','icon-awesome-play-circled2','icon-awesome-stop','icon-awesome-pause','icon-awesome-to-end','icon-awesome-to-end-alt','icon-awesome-to-start','icon-awesome-to-start-alt','icon-awesome-fast-fw','icon-awesome-fast-bw','icon-awesome-eject','icon-awesome-target','icon-awesome-signal','icon-awesome-award','icon-awesome-inbox','icon-awesome-globe','icon-awesome-cloud','icon-awesome-flash','icon-awesome-umbrella','icon-awesome-flight','icon-awesome-leaf','icon-awesome-font','icon-awesome-bold','icon-awesome-italic','icon-awesome-text-height','icon-awesome-text-width','icon-awesome-align-left','icon-awesome-align-center','icon-awesome-align-right','icon-awesome-align-justify','icon-awesome-list','icon-awesome-indent-left','icon-awesome-indent-right','icon-awesome-scissors','icon-awesome-briefcase','icon-awesome-off','icon-awesome-road','icon-awesome-list-alt','icon-awesome-qrcode','icon-awesome-barcode','icon-awesome-book','icon-awesome-adjust','icon-awesome-tint','icon-awesome-check','icon-awesome-asterisk','icon-awesome-gift','icon-awesome-fire','icon-awesome-magnet','icon-awesome-chart-bar','icon-awesome-glass','icon-awesome-lemon','icon-awesome-credit-card','icon-awesome-floppy','icon-awesome-megaphone','icon-awesome-key','icon-awesome-truck','icon-awesome-hammer','icon-awesome-move','icon-awesome-link-ext','icon-awesome-check-empty','icon-awesome-bookmark-empty','icon-awesome-phone-squared','icon-awesome-twitter-1','icon-awesome-facebook-1','icon-awesome-github-circled-1','icon-awesome-rss-1','icon-awesome-hdd','icon-awesome-certificate','icon-awesome-left-circled','icon-awesome-right-circled','icon-awesome-up-circled','icon-awesome-down-circled','icon-awesome-tasks','icon-awesome-filter','icon-awesome-resize-full-alt','icon-awesome-beaker','icon-awesome-docs','icon-awesome-blank','icon-awesome-menu','icon-awesome-list-bullet','icon-awesome-list-numbered','icon-awesome-strike','icon-awesome-underline','icon-awesome-table','icon-awesome-magic','icon-awesome-pinterest-circled','icon-awesome-pinterest-squared','icon-awesome-gplus-squared','icon-awesome-gplus-1','icon-awesome-money','icon-awesome-columns','icon-awesome-sort','icon-awesome-sort-down','icon-awesome-sort-up','icon-awesome-mail-alt','icon-awesome-linkedin-1','icon-awesome-gauge','icon-awesome-comment-empty','icon-awesome-chat-empty','icon-awesome-sitemap','icon-awesome-paste','icon-awesome-lightbulb','icon-awesome-exchange','icon-awesome-download-cloud','icon-awesome-upload-cloud','icon-awesome-user-md','icon-awesome-stethoscope','icon-awesome-suitcase','icon-awesome-bell-alt','icon-awesome-coffee','icon-awesome-food','icon-awesome-doc-text','icon-awesome-building','icon-awesome-hospital','icon-awesome-ambulance','icon-awesome-medkit','icon-awesome-fighter-jet','icon-awesome-beer','icon-awesome-h-sigh','icon-awesome-plus-squared','icon-awesome-angle-double-left','icon-awesome-angle-double-right','icon-awesome-angle-double-up','icon-awesome-angle-double-down','icon-awesome-angle-left','icon-awesome-angle-right','icon-awesome-angle-up','icon-awesome-angle-down','icon-awesome-desktop','icon-awesome-laptop','icon-awesome-tablet','icon-awesome-mobile','icon-awesome-circle-empty','icon-awesome-quote-left','icon-awesome-quote-right','icon-awesome-spinner','icon-awesome-circle','icon-awesome-reply','icon-awesome-github-1','icon-awesome-folder-empty','icon-awesome-folder-open-empty','icon-awesome-smile','icon-awesome-frown','icon-awesome-meh','icon-awesome-gamepad','icon-awesome-keyboard','icon-awesome-flag-empty','icon-awesome-flag-checkered','icon-awesome-terminal','icon-awesome-code','icon-awesome-reply-all','icon-awesome-star-half-alt','icon-awesome-direction','icon-awesome-crop','icon-awesome-fork','icon-awesome-unlink','icon-awesome-help','icon-awesome-info','icon-awesome-attention-alt','icon-awesome-superscript','icon-awesome-subscript','icon-awesome-eraser','icon-awesome-puzzle','icon-awesome-mic','icon-awesome-mute','icon-awesome-shield','icon-awesome-calendar-empty','icon-awesome-extinguisher','icon-awesome-rocket','icon-awesome-maxcdn','icon-awesome-angle-circled-left','icon-awesome-angle-circled-right','icon-awesome-angle-circled-up','icon-awesome-angle-circled-down','icon-awesome-html5-1','icon-awesome-css3','icon-awesome-anchor','icon-awesome-lock-open-alt','icon-awesome-bullseye','icon-awesome-ellipsis','icon-awesome-ellipsis-vert','icon-awesome-rss-squared','icon-awesome-play-circled','icon-awesome-ticket','icon-awesome-minus-squared','icon-awesome-minus-squared-alt','icon-awesome-level-up','icon-awesome-level-down','icon-awesome-ok-squared','icon-awesome-pencil-squared','icon-awesome-link-ext-alt','icon-awesome-export-alt','icon-awesome-compass','icon-awesome-expand','icon-awesome-collapse','icon-awesome-expand-right','icon-awesome-euro','icon-awesome-pound','icon-awesome-dollar','icon-awesome-rupee','icon-awesome-yen','icon-awesome-rouble','icon-awesome-won','icon-awesome-bitcoin-1','icon-awesome-doc-inv','icon-awesome-doc-text-inv','icon-awesome-sort-name-up','icon-awesome-sort-name-down','icon-awesome-sort-alt-up','icon-awesome-sort-alt-down','icon-awesome-sort-number-up','icon-awesome-sort-number-down','icon-awesome-thumbs-up-alt','icon-awesome-thumbs-down-alt','icon-awesome-youtube-squared','icon-awesome-youtube-1','icon-awesome-xing-1','icon-awesome-xing-squared','icon-awesome-youtube-play','icon-awesome-dropbox-1','icon-awesome-stackoverflow-1','icon-awesome-instagram-1','icon-awesome-flickr-1','icon-awesome-adn','icon-awesome-bitbucket-1','icon-awesome-bitbucket-squared','icon-awesome-tumblr-1','icon-awesome-tumblr-squared','icon-awesome-down','icon-awesome-up','icon-awesome-left','icon-awesome-right','icon-awesome-apple','icon-awesome-windows-1','icon-awesome-android-1','icon-awesome-linux','icon-awesome-dribbble-1','icon-awesome-skype-1','icon-awesome-foursquare-1','icon-awesome-trello','icon-awesome-female','icon-awesome-male','icon-awesome-gittip','icon-awesome-sun','icon-awesome-moon','icon-awesome-box','icon-awesome-bug','icon-awesome-vkontakte','icon-awesome-weibo-1','icon-awesome-renren','icon-awesome-pagelines','icon-awesome-stackexchange','icon-awesome-right-circled2','icon-awesome-left-circled2','icon-awesome-collapse-left','icon-awesome-dot-circled','icon-awesome-wheelchair','icon-awesome-vimeo-squared','icon-awesome-try','icon-awesome-plus-squared-alt','icon-awesome-space-shuttle','icon-awesome-slack','icon-awesome-mail-squared','icon-awesome-wordpress-1','icon-awesome-openid-1','icon-awesome-bank','icon-awesome-graduation-cap','icon-awesome-yahoo-1','icon-awesome-google-1','icon-awesome-reddit-1','icon-awesome-reddit-squared','icon-awesome-stumbleupon-circled','icon-awesome-stumbleupon-1','icon-awesome-delicious-1','icon-awesome-digg-1','icon-awesome-pied-piper-squared','icon-awesome-pied-piper-alt','icon-awesome-drupal-1','icon-awesome-joomla','icon-awesome-language','icon-awesome-fax','icon-awesome-building-filled','icon-awesome-child','icon-awesome-paw','icon-awesome-spoon','icon-awesome-cube','icon-awesome-cubes','icon-awesome-behance','icon-awesome-behance-squared','icon-awesome-steam-1','icon-awesome-steam-squared','icon-awesome-recycle','icon-awesome-cab','icon-awesome-taxi','icon-awesome-tree','icon-awesome-spotify-1','icon-awesome-deviantart','icon-awesome-soundcloud-1','icon-awesome-database','icon-awesome-file-pdf','icon-awesome-file-word','icon-awesome-file-excel','icon-awesome-file-powerpoint','icon-awesome-file-image','icon-awesome-file-archive','icon-awesome-file-audio','icon-awesome-file-video','icon-awesome-file-code','icon-awesome-vine','icon-awesome-codeopen','icon-awesome-jsfiddle','icon-awesome-lifebuoy','icon-awesome-circle-notch','icon-awesome-rebel','icon-awesome-empire','icon-awesome-git-squared','icon-awesome-git','icon-awesome-hacker-news','icon-awesome-tencent-weibo','icon-awesome-qq','icon-awesome-wechat','icon-awesome-paper-plane','icon-awesome-paper-plane-empty','icon-awesome-history','icon-awesome-circle-thin','icon-awesome-header','icon-awesome-paragraph','icon-awesome-sliders','icon-awesome-share','icon-awesome-share-squared','icon-awesome-bomb','icon-awesome-soccer-ball','icon-awesome-tty','icon-awesome-binoculars','icon-awesome-plug','icon-awesome-slideshare','icon-awesome-twitch','icon-awesome-yelp-1','icon-awesome-newspaper','icon-awesome-wifi','icon-awesome-calc','icon-awesome-paypal-1','icon-awesome-gwallet','icon-awesome-cc-visa','icon-awesome-cc-mastercard','icon-awesome-cc-discover','icon-awesome-cc-amex','icon-awesome-cc-paypal','icon-awesome-cc-stripe','icon-awesome-bell-off','icon-awesome-bell-off-empty','icon-awesome-trash','icon-awesome-copyright','icon-awesome-at','icon-awesome-eyedropper','icon-awesome-brush','icon-awesome-birthday','icon-awesome-chart-area','icon-awesome-chart-pie','icon-awesome-chart-line','icon-awesome-lastfm-1','icon-awesome-lastfm-squared','icon-awesome-toggle-off','icon-awesome-toggle-on','icon-awesome-bicycle','icon-awesome-bus','icon-awesome-ioxhost','icon-awesome-angellist-1','icon-awesome-cc-1','icon-awesome-shekel','icon-awesome-meanpath','icon-awesome-buysellads','icon-awesome-connectdevelop','icon-awesome-dashcube','icon-awesome-forumbee','icon-awesome-leanpub','icon-awesome-sellsy','icon-awesome-shirtsinbulk','icon-awesome-simplybuilt','icon-awesome-skyatlas','icon-awesome-cart-plus','icon-awesome-cart-arrow-down','icon-awesome-diamond','icon-awesome-ship','icon-awesome-user-secret','icon-awesome-motorcycle','icon-awesome-street-view','icon-awesome-heartbeat','icon-awesome-venus','icon-awesome-mars','icon-awesome-mercury','icon-awesome-transgender','icon-awesome-transgender-alt','icon-awesome-venus-double','icon-awesome-mars-double','icon-awesome-venus-mars','icon-awesome-mars-stroke','icon-awesome-mars-stroke-v','icon-awesome-mars-stroke-h','icon-awesome-neuter','icon-awesome-genderless','icon-awesome-facebook-official','icon-awesome-pinterest-1','icon-awesome-whatsapp','icon-awesome-server','icon-awesome-user-plus','icon-awesome-user-times','icon-awesome-bed','icon-awesome-viacoin','icon-awesome-train','icon-awesome-subway','icon-awesome-medium','icon-awesome-y-combinator','icon-awesome-optin-monster','icon-awesome-opencart','icon-awesome-expeditedssl','icon-awesome-battery-4','icon-awesome-battery-3','icon-awesome-battery-2','icon-awesome-battery-1','icon-awesome-battery-0','icon-awesome-mouse-pointer','icon-awesome-i-cursor','icon-awesome-object-group','icon-awesome-object-ungroup','icon-awesome-sticky-note','icon-awesome-sticky-note-o','icon-awesome-cc-jcb','icon-awesome-cc-diners-club','icon-awesome-clone','icon-awesome-balance-scale','icon-awesome-hourglass-o','icon-awesome-hourglass-1','icon-awesome-hourglass-2','icon-awesome-hourglass-3','icon-awesome-hourglass','icon-awesome-hand-grab-o','icon-awesome-hand-paper-o','icon-awesome-hand-scissors-o','icon-awesome-hand-lizard-o','icon-awesome-hand-spock-o','icon-awesome-hand-pointer-o','icon-awesome-hand-peace-o','icon-awesome-trademark','icon-awesome-registered','icon-awesome-creative-commons','icon-awesome-gg','icon-awesome-gg-circle','icon-awesome-tripadvisor','icon-awesome-odnoklassniki','icon-awesome-odnoklassniki-square','icon-awesome-get-pocket','icon-awesome-wikipedia-w','icon-awesome-safari','icon-awesome-chrome-1','icon-awesome-firefox','icon-awesome-opera','icon-awesome-internet-explorer','icon-awesome-television','icon-awesome-contao','icon-awesome-500px','icon-awesome-amazon-1','icon-awesome-calendar-plus-o','icon-awesome-calendar-minus-o','icon-awesome-calendar-times-o','icon-awesome-calendar-check-o','icon-awesome-industry','icon-awesome-map-pin','icon-awesome-map-signs','icon-awesome-map-o','icon-awesome-map','icon-awesome-commenting','icon-awesome-commenting-o','icon-awesome-houzz','icon-awesome-vimeo-1','icon-awesome-black-tie','icon-awesome-fonticons','icon-awesome-reddit-alien','icon-awesome-edge','icon-awesome-credit-card-alt','icon-awesome-codiepie','icon-awesome-modx','icon-awesome-fort-awesome','icon-awesome-usb','icon-awesome-product-hunt','icon-awesome-mixcloud','icon-awesome-scribd-1','icon-awesome-pause-circle','icon-awesome-pause-circle-o','icon-awesome-stop-circle','icon-awesome-stop-circle-o','icon-awesome-shopping-bag','icon-awesome-shopping-basket','icon-awesome-hashtag','icon-awesome-bluetooth','icon-awesome-bluetooth-b','icon-awesome-percent','icon-awesome-gitlab','icon-awesome-wpbeginner','icon-awesome-wpforms','icon-awesome-envira','icon-awesome-universal-access','icon-awesome-wheelchair-alt','icon-awesome-question-circle-o','icon-awesome-blind','icon-awesome-audio-description','icon-awesome-volume-control-phone','icon-awesome-braille','icon-awesome-assistive-listening-systems','icon-awesome-american-sign-language-interpreting','icon-awesome-asl-interpreting','icon-awesome-glide','icon-awesome-glide-g','icon-awesome-sign-language','icon-awesome-low-vision','icon-awesome-viadeo-1','icon-awesome-viadeo-square','icon-awesome-snapchat','icon-awesome-snapchat-ghost','icon-awesome-snapchat-square','icon-awesome-pied-piper','icon-awesome-first-order','icon-awesome-yoast','icon-awesome-themeisle','icon-awesome-google-plus-circle','icon-awesome-font-awesome','icon-awesome-github-squared','icon-awesome-twitter-squared','icon-awesome-facebook-squared','icon-awesome-linkedin-squared',
		) );
	}
}

if ( ! function_exists( 'presso_sce_enqueue_font_icon_awesome' ) ) {
	function presso_sce_enqueue_font_icon_awesome() {
		?>
		<link rel="stylesheet" type="text/css" href="<?php echo esc_url( get_template_directory_uri() ); ?>/font-icons/awesome/css/awesome.css">
		<?php
	}
}