<?php

add_action('admin_head', 'presso_shortcode_editor_settings');
if ( ! function_exists( 'presso_shortcode_editor_settings' ) ) {
	function presso_shortcode_editor_settings() {
		?>
		<script type="text/javascript">
			var vw_theme_shortcodes = [
				{
					title: '404',
					instant_shortcode: '[404]YOUR TEXT HERE[/404]',
				},
				{
					title: 'Accordion',
					shortcode: '[accordion]',
				},
				{
					title: 'Authors',
					instant_shortcode: '[authors users="admin,author1,author2"]',
				},
				{
					title: 'Blog Posts',
					shortcode: '[posts]',
				},
				{
					title: 'Button',
					shortcode: '[button]',
				},
				{
					title: 'Columns',
					submenu: [
						{
							title: '[1/2] + [1/2]',
							instant_shortcode: "<p>[row]</p><p>[column size='1/2']Your Content Here[/column]</p><p>[column size='1/2']Your Content Here[/column]</p><p>[/row]</p>",
						},
						{
							title: '[1/3] + [1/3] + [1/3]',
							instant_shortcode: "<p>[row]</p><p>[column size='1/3']Your Content Here[/column]</p><p>[column size='1/3']Your Content Here[/column]</p><p>[column size='1/3']Your Content Here[/column]</p><p>[/row]</p>",
						},
						{
							title: '[2/3] + [1/3]',
							instant_shortcode: "<p>[row]</p><p>[column size='2/3']Your Content Here[/column]</p><p>[column size='1/3']Your Content Here[/column]</p><p>[/row]</p>",
						},
						{
							title: '[1/4] + [1/4] + [1/4] + [1/4]',
							instant_shortcode: "<p>[row]</p><p>[column size='1/4']Your Content Here[/column]</p><p>[column size='1/4']Your Content Here[/column]</p><p>[column size='1/4']Your Content Here[/column]</p><p>[column size='1/4']Your Content Here[/column]</p><p>[/row]</p>",
						},
						{
							title: '[3/4] + [1/4]',
							instant_shortcode: "<p>[row]</p><p>[column size='3/4']Your Content Here[/column]</p><p>[column size='1/4']Your Content Here[/column]</p><p>[/row]</p>",
						},
					],
				},
				// {
				// 	title: 'Content Slider',
				// 	instant_shortcode: '<p>[content_slider]</p>'
				// 						+ '<p>[content_slide]CONTENT HERE[/content_slide]</p>'
				// 						+ '<p>[/content_slider]</p>'
				// },
				{
					title: 'Info Box',
					shortcode: '[infobox]',
				},
				{
					title: 'In-View Animation',
					shortcode: '[inview]CONTENT HERE[/inview]',
				},
				{
					title: 'List',
					instant_shortcode: '<p>[list]</p>'
										+'<p>[list_item icon="icon-entypo-info-circled"]CONTENT HERE[/list_item]</p>'
										+'<p>[/list]</p>'
				},
				{
					title: 'Logo',
					instant_shortcode: '[logo]',
				},
				{
					title: 'Tabs',
					instant_shortcode: '<p>[tabs]</p>'
										+ '<p>[tab title="Responsive" icon="icon-entypo-info"]CONTENT HERE[/tab]</p>'
										+ '<p>[/tabs]</p>'
				},
				{
					title: 'Typography',
					submenu: [
						{
							title: 'Custom Font 1',
							instant_shortcode: '[customfont1]Text Here[/customfont1]',
						},
						{
							title: 'Custom Font 2',
							instant_shortcode: '[customfont2]Text Here[/customfont2]',
						},
						{
							title: 'Dropcap',
							shortcode: '[dropcap]',
						},
						// {
						// 	title: 'Emphasize',
						// 	instant_shortcode: '[em]Text Here[/em]',
						// },
						// {
						// 	title: 'Headline',
						// 	instant_shortcode: '[headline]Text Here[/headline]',
						// },
						{
							title: 'Mark',
							shortcode: '[mark]',
						},
						{
							title: 'Quote',
							shortcode: '[quote]',
						},
						{
							title: 'Title',
							shortcode: '[title]',
						},
					]
				},
			];
		</script>
		<?php
	}
}

add_action('admin_head', 'presso_init_shortcode_editor');
if ( ! function_exists( 'presso_init_shortcode_editor' ) ) {
	function presso_init_shortcode_editor() {
		add_filter('mce_external_plugins', 'presso_add_shortcode_editor_plugins');
		add_filter('mce_buttons', 'presso_add_shortcode_editor_buttons');
	}
}

if ( ! function_exists( 'presso_add_shortcode_editor_plugins' ) ) {
	function presso_add_shortcode_editor_plugins( $plugin_array ) {
		$plugin_array['vw_shortcodes'] = PRESSO_SHORTCODE_EDITOR_PATH.'/tinymce/plugins.js?'.PRESSO_THEME_VERSION;

		return $plugin_array;
	}
}

if ( ! function_exists( 'presso_add_shortcode_editor_buttons' ) ) {
	function presso_add_shortcode_editor_buttons( $buttons ) {
		array_push($buttons, 'vw_shortcodes');
		return $buttons;
	}
}