<?php get_header(); ?>

<div class="vw-content-area clearfix <?php presso_the_sidebar_position_class(); ?>">
	<div class="container">
		<div class="row">

			<main class="vw-content-main" role="main" <?php presso_itemprop( "mainContentOfPage" ); ?>>

				<?php if ( have_posts() ) : ?>

					<?php do_action( 'presso_action_before_single_post' ); ?>

					<?php while ( have_posts() ) : the_post(); ?>

						<article <?php post_class( 'vw-main-post' ); ?>>
						
							<header class="vw-post-header">

								<?php presso_the_category(); ?>
								
								<h1 class="vw-post-title" <?php presso_itemprop( 'headline' ); ?>><?php the_title(); ?></h1>
								
								<?php presso_the_tagline(); ?>

								<hr>

								<div class="vw-post-meta vw-bar">
									<div class="vw-bar__placeholder vw-bar__placeholder--left">
										<?php presso_the_author( PRESSO_CONST_AVATAR_SIZE__SINGLE ); ?>
										<?php presso_the_post_date(); ?>
										<?php presso_the_post_view(); ?>
									</div>

									<div class="vw-bar__placeholder vw-bar__placeholder--right">
										<?php presso_the_post_share_links(); ?>
									</div>
								</div>

							</header>
							
							<?php presso_the_post_media(); ?>

							<div class="vw-post-content clearfix" <?php presso_itemprop( 'articleBody' ); ?>><?php the_content(); ?></div>

							<footer class="vw-post-footer clearfix"><?php presso_the_link_pages(); ?><?php the_tags( '<div class="vw-tags"><span class="vw-tags__title vw-header-font"><i class="vw-icon icon-entypo-tag"></i></span> ', '', '</div>' ); ?></footer>

							<?php do_action( 'presso_action_post_schema', 'main-post' ); ?>

						</article><!-- #post-## -->

					<?php endwhile; ?>

					<?php do_action( 'presso_action_after_single_post' ); ?>

					<?php presso_the_post_footer_sections(); ?>

				<?php endif; ?>

			</main>

			<?php if ( presso_has_sidebar() ) get_sidebar(); ?>

		</div>
	</div>
</div>

<?php get_footer(); ?>