<?php
if ( post_password_required() ) {
	return;
}
?>

<?php if ( comments_open() || get_comments_number() ) : ?>
<div id="comments" class="vw-comments-area">
	
	<h3 class="vw-comments-title"><span><?php comments_number( esc_html__( 'No Comment', 'presso' ), esc_html__( '1 Comment', 'presso' ), esc_html__( '% Comments', 'presso' ) ); ?></span></h3>
	
	<?php if ( have_comments() ) : ?>

		<ol class="vw-comment-list clearfix">
			<?php wp_list_comments( array(
				'callback' => 'presso_list_comments',
				'avatar_size' => 50,
			) ); ?>
		</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav class="vw-comment-navigation vw-flex-grid" role="navigation">
			<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'presso' ); ?></h2>

			<div class="vw-comment-navigation__prev"><?php previous_comments_link( esc_html__( 'Older Comments', 'presso' ) ); ?></div>
			<div class="vw-comment-navigation__next"><?php next_comments_link( esc_html__( 'Next Comments', 'presso' ) ); ?></div>
		</nav>
		<?php endif; ?>
		
	<?php endif; ?>

	<?php

	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );

	// Comment fields
	$fields =  array(

		'author' =>
		'<p class="comment-form-author"><label for="author">' . esc_html__( 'Name', 'presso' ) . ( $req ? '<span class="required">*</span>' : '' ) . '</label> ' .
		'<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
		'" size="30"' . $aria_req . ' /></p>',

		'email' =>
		'<p class="comment-form-email"><label for="email">' . esc_html__( 'Email', 'presso' ) . ( $req ? '<span class="required">*</span>' : '' ) . '</label> ' .
		'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
		'" size="30"' . $aria_req . ' /></p>',

		'url' =>
		'<p class="comment-form-url"><label for="url">' . esc_html__( 'Website', 'presso' ) . '</label>' .
		'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
		'" size="30" /></p>',

	);

	// Comment Form Args
	$comments_args = array(
		'fields' => $fields,
		'title_reply' => esc_html__( 'Leave a reply', 'presso' ),
		'comment_field' => '<p class="comment-form-comment"><label for="comment">' . esc_html__( 'Comment', 'presso' ) . '</label>' .
			'<textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
		'label_submit' => esc_html__( 'Submit comment', 'presso' ),
	);

	comment_form( $comments_args );
	?>
	
</div>
<?php endif; ?>