<?php
if( function_exists('acf_add_local_field_group') ):

	acf_add_local_field_group(array (
		'key' => 'group_57f7b1a961fbb',
		'title' => 'Audio Options',
		'fields' => array (
			array (
				'key' => 'field_57f7b1b8b6c69',
				'label' => 'Audio Source',
				'name' => 'vw_audio_oembed_url',
				'type' => 'oembed',
				'instructions' => 'Enter a URL of SoundCloud, Spotify or other audio service. Supported services are listed at <a href="http://codex.wordpress.org/Embeds" target="_blank">http://codex.wordpress.org/Embeds</a>.',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'width' => '',
				'height' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'audio',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
		'local' => 'php',
	));

	acf_add_local_field_group(array (
		'key' => 'group_57f7b6589eaa7',
		'title' => 'Gallery Options',
		'fields' => array (
			array (
				'key' => 'field_57f7b66939a0d',
				'label' => 'Images',
				'name' => 'vw_gallery_images',
				'type' => 'gallery',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'min' => '',
				'max' => '',
				'insert' => 'append',
				'library' => 'all',
				'min_width' => '',
				'min_height' => '',
				'min_size' => '',
				'max_width' => '',
				'max_height' => '',
				'max_size' => '',
				'mime_types' => 'jpg,jpeg,png',
			),
			array (
				'key' => 'field_57f7b70939a0f',
				'label' => 'Gallery Layout',
				'name' => 'vw_gallery_layout',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array (
					'slider' => 'Slider',
					'grid-1' => 'Grid 1',
					'grid-2' => 'Grid 2',
					'grid-3' => 'Grid 3',
					'grid-4' => 'Grid 4',
					'grid-5' => 'Grid 5',
					'grid-6' => 'Grid 6',
				),
				'default_value' => array (
				),
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'ajax' => 0,
				'return_format' => 'value',
				'placeholder' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'gallery',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

	acf_add_local_field_group(array (
		'key' => 'group_57f8b2f60e8ce',
		'title' => 'Page Options',
		'fields' => array (
			array (
				'key' => 'field_57bac4833ac89',
				'label' => 'Tagline',
				'name' => 'vw_tagline',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
				),
				array (
					'param' => 'page_template',
					'operator' => '!=',
					'value' => 'page_simple_composer.php',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

	acf_add_local_field_group(array (
		'key' => 'group_57f8b2f6173f2',
		'title' => 'Page Sidebar',
		'fields' => array (
			array (
				'key' => 'field_57bac01126228',
				'label' => 'Sidebar Position',
				'name' => 'vw_sidebar_position',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array (
					'none' => 'None',
					'right' => 'Right',
					'left' => 'Left',
				),
				'default_value' => array (
					0 => 'right',
				),
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'ajax' => 0,
				'placeholder' => '',
				'return_format' => 'value',
			),
			array (
				'key' => 'field_57bac05026229',
				'label' => 'Sidebar',
				'name' => 'vw_sidebar',
				'type' => 'sidebar_selector',
				'instructions' => 'Select a sidebar to be shown',
				'required' => 0,
				'conditional_logic' => array (
					array (
						array (
							'field' => 'field_57bac01126228',
							'operator' => '!=',
							'value' => 'none',
						),
					),
				),
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => 'blog-sidebar',
				'allow_null' => 1,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
				),
				array (
					'param' => 'page_template',
					'operator' => '!=',
					'value' => 'page_simple_composer.php',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'side',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

	acf_add_local_field_group(array (
		'key' => 'group_57f8b2f6122e7',
		'title' => 'Post Options',
		'fields' => array (
			array (
				'key' => 'field_57bac52e59c3d',
				'label' => 'Featured Post',
				'name' => 'vw_post_featured',
				'type' => 'true_false',
				'instructions' => 'Mark this post as featured',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_57bac51c59c3c',
				'label' => 'Tagline',
				'name' => 'vw_tagline',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_57d7d0ef2aa96',
				'label' => 'Post Layout',
				'name' => 'vw_post_layout',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array (
					'classic' => 'Classic',
					'classic-no-featured' => 'Classic Without Featured Image',
					'large-title' => 'Large Title',
					'large-featured-image' => 'Large Featured Image',
					'large-featured-image-2' => 'Large Featured Image 2',
				),
				'default_value' => array (
					0 => 'classic',
				),
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'ajax' => 0,
				'return_format' => 'value',
				'placeholder' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

	acf_add_local_field_group(array (
		'key' => 'group_58059feea376f',
		'title' => 'Product Options',
		'fields' => array (
			array (
				'key' => 'field_58059ffd8dd1a',
				'label' => 'Tagline',
				'name' => 'vw_tagline',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'product',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

	acf_add_local_field_group(array (
		'key' => 'group_58ea588482954',
		'title' => 'Sidebar',
		'fields' => array (
			array (
				'key' => 'field_58ea588e19086',
				'label' => 'Sidebar Position',
				'name' => 'vw_sidebar_position',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'choices' => array (
					'default' => 'Default',
					'none' => 'None',
					'right' => 'Right',
					'left' => 'Left',
				),
				'default_value' => array (
					0 => 'default',
				),
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'ajax' => 0,
				'return_format' => 'value',
				'placeholder' => '',
			),
			array (
				'key' => 'field_58ea58b719087',
				'label' => 'Sidebar',
				'name' => 'vw_sidebar',
				'type' => 'sidebar_selector',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array (
					array (
						array (
							'field' => 'field_58ea588e19086',
							'operator' => '!=',
							'value' => 'none',
						),
					),
				),
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'allow_null' => 1,
				'default_value' => 'blog-sidebar',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'side',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

	acf_add_local_field_group(array (
		'key' => 'group_57f722a412e2e',
		'title' => 'Simple Composer',
		'fields' => array (
			array (
				'key' => 'field_57f722b2488cc',
				'label' => 'Composer Blocks',
				'name' => 'composer_blocks',
				'type' => 'flexible_content',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'button_label' => 'Add Row',
				'min' => '',
				'max' => '',
				'layouts' => array (
					array (
						'key' => '57fca74ee6273',
						'name' => 'post_slider',
						'label' => 'Post Slider',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_57fca773e6274',
								'label' => 'Number of slide',
								'name' => 'number',
								'type' => 'number',
								'instructions' => '',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => 3,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'min' => '',
								'max' => '',
								'step' => '',
							),
							array (
								'key' => 'field_57fca79ce6275',
								'label' => 'Categories',
								'name' => 'categories',
								'type' => 'taxonomy',
								'instructions' => 'Choose a post category to be shown up.',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'taxonomy' => 'category',
								'field_type' => 'multi_select',
								'allow_null' => 0,
								'add_term' => 1,
								'save_terms' => 0,
								'load_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_57fca7c8e6277',
								'label' => 'Exclude Categories',
								'name' => 'exclude_categories',
								'type' => 'taxonomy',
								'instructions' => 'Choose a post categories to be excluded',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'taxonomy' => 'category',
								'field_type' => 'multi_select',
								'allow_null' => 0,
								'add_term' => 1,
								'save_terms' => 0,
								'load_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_57fca81be6278',
								'label' => 'Posts Order',
								'name' => 'posts_order',
								'type' => 'select',
								'instructions' => 'Select a post ordering',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'latest' => 'Latest posts',
									'latest_gallery' => 'Latest Gallery Posts',
									'latest_video' => 'Latest Video Posts',
									'latest_audio' => 'Latest Audio Posts',
									'featured' => 'Latest Featured Posts',
									'latest_reviews' => 'Latest Reviews',
									'most_review_score' => 'Most Review Score',
									'most_viewed' => 'Most Viewed',
									'daily_trending_viewed' => 'Daily Trending Views',
									'weekly_trending_viewed' => 'Weekly Trending Views',
									'monthly_trending_viewed' => 'Monthly Trending Views',
									'random' => 'Random',
								),
								'default_value' => array (
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
							array (
								'key' => 'field_57fca844e6279',
								'label' => 'Layout',
								'name' => 'layout',
								'type' => 'select',
								'instructions' => 'Select a layout for slider',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'slider-xlarge' => 'Extra Large',
									'slider-xlarge-2' => 'Extra Large 2',
									'slider-full-1' => 'Full',
									'slider-multi-1' => '3 Posts per slide',
									'slider-multi-2' => '4 Posts per slide',
									'slider-multi-3' => '5 Posts per slide',
									'custom-1' => 'Custom 1',
									'custom-2' => 'Custom 2',
									'custom-3' => 'Custom 3',
									'custom-4' => 'Custom 4',
								),
								'default_value' => array (
									0 => 'slider-xlarge',
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
						),
						'min' => '',
						'max' => '',
					),
					array (
						'key' => '57f722ce539bc',
						'name' => 'post_box',
						'label' => 'Post Box',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_57f7c77f7f1b7',
								'label' => 'Super-title',
								'name' => 'supertitle',
								'type' => 'text',
								'instructions' => 'Enter a text for super-title',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57f722dd488cd',
								'label' => 'Title',
								'name' => 'title',
								'type' => 'text',
								'instructions' => 'Enter a text for title',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57f7c79a7f1b8',
								'label' => 'Subtitle',
								'name' => 'subtitle',
								'type' => 'text',
								'instructions' => 'Enter a text for subtitle',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57f7c8437f1bc',
								'label' => 'Lead Layout',
								'name' => 'lead_layout',
								'type' => 'select',
								'instructions' => 'Select a different layout for first <i>n</i> posts.',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '50',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'none' => 'Disabled',
									'block-a-1' => 'Block A-1',
									'block-a-2' => 'Block A-2',
									'block-a-3' => 'Block A-3',
									'block-b-1' => 'Block B-1',
									'block-b-2' => 'Block B-2',
									'block-b-3' => 'Block B-3',
									'block-c-1' => 'Block C-1',
									'block-c-2' => 'Block C-2',
									'block-c-3' => 'Block C-3',
									'block-c-4' => 'Block C-4',
									'block-d-1' => 'Block D-1',
									'block-d-2' => 'Block D-2',
									'block-d-3' => 'Block D-3',
									'block-d-4' => 'Block D-4',
									'block-e-1' => 'Block E-1',
									'block-e-2' => 'Block E-2',
									'block-e-3' => 'Block E-3',
									'block-f-1' => 'Block F-1',
									'block-f-2' => 'Block F-2',
									'block-f-3' => 'Block F-3',
									'block-g-1' => 'Block G-1',
									'block-g-2' => 'Block G-2',
									'block-g-3' => 'Block G-3',
									'block-g-4' => 'Block G-4',
									'block-g-5' => 'Block G-5',
									'block-h-1' => 'Block H-1',
									'block-h-2' => 'Block H-2',
									'block-h-3' => 'Block H-3',
									'block-h-4' => 'Block H-4',
									'block-h-5' => 'Block H-5',
									'block-i-1' => 'Block I-1',
									'block-i-2' => 'Block I-2',
									'block-i-3' => 'Block I-3',
									'block-i-4' => 'Block I-4',
									'custom-1' => 'Custom 1',
									'custom-2' => 'Custom 2',
									'custom-3' => 'Custom 3',
									'custom-4' => 'Custom 4',
								),
								'default_value' => array (
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
							array (
								'key' => 'field_57f7c8577f1bd',
								'label' => 'Number of lead posts',
								'name' => 'lead_layout_number',
								'type' => 'number',
								'instructions' => 'Enter a number of posts to be shown in the lead layout',
								'required' => 0,
								'conditional_logic' => array (
									array (
										array (
											'field' => 'field_57f7c8437f1bc',
											'operator' => '!=',
											'value' => 'none',
										),
									),
								),
								'wrapper' => array (
									'width' => '50',
									'class' => '',
									'id' => '',
								),
								'default_value' => 2,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'min' => 1,
								'max' => '',
								'step' => '',
							),
							array (
								'key' => 'field_57f7c7fd7f1bb',
								'label' => 'Layout',
								'name' => 'layout',
								'type' => 'select',
								'instructions' => 'Select a layout for posts',
								'required' => 1,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '50',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'block-a-1' => 'Block A-1',
									'block-a-2' => 'Block A-2',
									'block-a-3' => 'Block A-3',
									'block-b-1' => 'Block B-1',
									'block-b-2' => 'Block B-2',
									'block-b-3' => 'Block B-3',
									'block-c-1' => 'Block C-1',
									'block-c-2' => 'Block C-2',
									'block-c-3' => 'Block C-3',
									'block-c-4' => 'Block C-4',
									'block-d-1' => 'Block D-1',
									'block-d-2' => 'Block D-2',
									'block-d-3' => 'Block D-3',
									'block-d-4' => 'Block D-4',
									'block-e-1' => 'Block E-1',
									'block-e-2' => 'Block E-2',
									'block-e-3' => 'Block E-3',
									'block-f-1' => 'Block F-1',
									'block-f-2' => 'Block F-2',
									'block-f-3' => 'Block F-3',
									'block-g-1' => 'Block G-1',
									'block-g-2' => 'Block G-2',
									'block-g-3' => 'Block G-3',
									'block-g-4' => 'Block G-4',
									'block-g-5' => 'Block G-5',
									'block-h-1' => 'Block H-1',
									'block-h-2' => 'Block H-2',
									'block-h-3' => 'Block H-3',
									'block-h-4' => 'Block H-4',
									'block-h-5' => 'Block H-5',
									'block-i-1' => 'Block I-1',
									'block-i-2' => 'Block I-2',
									'block-i-3' => 'Block I-3',
									'block-i-4' => 'Block I-4',
									'custom-1' => 'Custom 1',
									'custom-2' => 'Custom 2',
									'custom-3' => 'Custom 3',
									'custom-4' => 'Custom 4',
								),
								'default_value' => array (
									0 => 'block-a-3',
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
							array (
								'key' => 'field_57f7c7bf7f1b9',
								'label' => 'Number of post',
								'name' => 'number',
								'type' => 'number',
								'instructions' => 'Enter a number of post to be shown',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '50',
									'class' => '',
									'id' => '',
								),
								'default_value' => 4,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'min' => 1,
								'max' => '',
								'step' => '',
							),
							array (
								'key' => 'field_57f7c7e17f1ba',
								'label' => 'Post Offset',
								'name' => 'offset',
								'type' => 'number',
								'instructions' => 'Enter a number of first posts to be skipped',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => 0,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'min' => 0,
								'max' => '',
								'step' => '',
							),
							array (
								'key' => 'field_57f7c86a7f1be',
								'label' => 'Categories',
								'name' => 'categories',
								'type' => 'taxonomy',
								'instructions' => 'Select a post categories to be shown up. Select none for show posts from all categories.',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'taxonomy' => 'category',
								'field_type' => 'multi_select',
								'allow_null' => 0,
								'add_term' => 0,
								'save_terms' => 0,
								'load_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_57f7cb309b41d',
								'label' => 'Excluded Categories',
								'name' => 'exclude_categories',
								'type' => 'taxonomy',
								'instructions' => 'Select a post categories to be excluded',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'taxonomy' => 'category',
								'field_type' => 'multi_select',
								'allow_null' => 0,
								'add_term' => 0,
								'save_terms' => 0,
								'load_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_57f7cd3a0045c',
								'label' => 'Posts Order',
								'name' => 'posts_order',
								'type' => 'select',
								'instructions' => 'Select a post ordering',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'latest' => 'Latest posts',
									'latest_gallery' => 'Latest Gallery Posts',
									'latest_video' => 'Latest Video Posts',
									'latest_audio' => 'Latest Audio Posts',
									'featured' => 'Latest Featured Posts',
									'latest_reviews' => 'Latest Reviews',
									'most_review_score' => 'Most Review Score',
									'most_viewed' => 'Most Viewed',
									'daily_trending_viewed' => 'Daily Trending Views',
									'weekly_trending_viewed' => 'Weekly Trending Views',
									'monthly_trending_viewed' => 'Monthly Trending Views',
									'random' => 'Random',
								),
								'default_value' => array (
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
							array (
								'key' => 'field_57f7cd920045d',
								'label' => 'Pagination',
								'name' => 'pagination',
								'type' => 'select',
								'instructions' => 'Select a way to show a pagination for the post listing',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'hide' => 'Hide',
									'numeric' => 'Numeric',
									'infinite' => 'Infinite with Load More button',
									'infinite-auto' => 'Infinite with auto-loading',
								),
								'default_value' => array (
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
						),
						'min' => '',
						'max' => '',
					),
					array (
						'key' => '57fbb8617d22e',
						'name' => 'post_box_sidebar',
						'label' => 'Post Box with Sidebar',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_57fbb8617d22f',
								'label' => 'Super-title',
								'name' => 'supertitle',
								'type' => 'text',
								'instructions' => 'Enter a text for super-title',
								'required' => '',
								'conditional_logic' => '',
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fbb8617d230',
								'label' => 'Title',
								'name' => 'title',
								'type' => 'text',
								'instructions' => 'Enter a text for title',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fbb8617d231',
								'label' => 'Subtitle',
								'name' => 'subtitle',
								'type' => 'text',
								'instructions' => 'Enter a text for subtitle',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fbb8617d232',
								'label' => 'Lead Layout',
								'name' => 'lead_layout',
								'type' => 'select',
								'instructions' => 'Select a different layout for first <i>n</i> posts.',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '50',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'none' => 'Disabled',
									'block-a-1' => 'Block A-1',
									'block-a-2' => 'Block A-2',
									'block-a-3' => 'Block A-3',
									'block-b-1' => 'Block B-1',
									'block-b-2' => 'Block B-2',
									'block-b-3' => 'Block B-3',
									'block-c-1' => 'Block C-1',
									'block-c-2' => 'Block C-2',
									'block-c-3' => 'Block C-3',
									'block-c-4' => 'Block C-4',
									'block-d-1' => 'Block D-1',
									'block-d-2' => 'Block D-2',
									'block-d-3' => 'Block D-3',
									'block-d-4' => 'Block D-4',
									'block-e-1' => 'Block E-1',
									'block-e-2' => 'Block E-2',
									'block-e-3' => 'Block E-3',
									'block-f-1' => 'Block F-1',
									'block-f-2' => 'Block F-2',
									'block-f-3' => 'Block F-3',
									'block-g-1' => 'Block G-1',
									'block-g-2' => 'Block G-2',
									'block-g-3' => 'Block G-3',
									'block-g-4' => 'Block G-4',
									'block-g-5' => 'Block G-5',
									'block-h-1' => 'Block H-1',
									'block-h-2' => 'Block H-2',
									'block-h-3' => 'Block H-3',
									'block-h-4' => 'Block H-4',
									'block-h-5' => 'Block H-5',
									'block-i-1' => 'Block I-1',
									'block-i-2' => 'Block I-2',
									'block-i-3' => 'Block I-3',
									'block-i-4' => 'Block I-4',
									'custom-1' => 'Custom 1',
									'custom-2' => 'Custom 2',
									'custom-3' => 'Custom 3',
									'custom-4' => 'Custom 4',
								),
								'default_value' => array (
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
							array (
								'key' => 'field_57fbb8617d233',
								'label' => 'Number of lead posts',
								'name' => 'lead_layout_number',
								'type' => 'number',
								'instructions' => 'Enter a number of posts to be shown in the lead layout',
								'required' => 0,
								'conditional_logic' => array (
									array (
										array (
											'field' => 'field_57fbb8617d232',
											'operator' => '!=',
											'value' => 'none',
										),
									),
								),
								'wrapper' => array (
									'width' => '50',
									'class' => '',
									'id' => '',
								),
								'default_value' => 2,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'min' => 1,
								'max' => '',
								'step' => '',
							),
							array (
								'key' => 'field_57fbb8617d234',
								'label' => 'Layout',
								'name' => 'layout',
								'type' => 'select',
								'instructions' => 'Select a layout for posts',
								'required' => 1,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '50',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'block-a-1' => 'Block A-1',
									'block-a-2' => 'Block A-2',
									'block-a-3' => 'Block A-3',
									'block-b-1' => 'Block B-1',
									'block-b-2' => 'Block B-2',
									'block-b-3' => 'Block B-3',
									'block-c-1' => 'Block C-1',
									'block-c-2' => 'Block C-2',
									'block-c-3' => 'Block C-3',
									'block-c-4' => 'Block C-4',
									'block-d-1' => 'Block D-1',
									'block-d-2' => 'Block D-2',
									'block-d-3' => 'Block D-3',
									'block-d-4' => 'Block D-4',
									'block-e-1' => 'Block E-1',
									'block-e-2' => 'Block E-2',
									'block-e-3' => 'Block E-3',
									'block-f-1' => 'Block F-1',
									'block-f-2' => 'Block F-2',
									'block-f-3' => 'Block F-3',
									'block-g-1' => 'Block G-1',
									'block-g-2' => 'Block G-2',
									'block-g-3' => 'Block G-3',
									'block-g-4' => 'Block G-4',
									'block-g-5' => 'Block G-5',
									'block-h-1' => 'Block H-1',
									'block-h-2' => 'Block H-2',
									'block-h-3' => 'Block H-3',
									'block-h-4' => 'Block H-4',
									'block-h-5' => 'Block H-5',
									'block-i-1' => 'Block I-1',
									'block-i-2' => 'Block I-2',
									'block-i-3' => 'Block I-3',
									'block-i-4' => 'Block I-4',
									'custom-1' => 'Custom 1',
									'custom-2' => 'Custom 2',
									'custom-3' => 'Custom 3',
									'custom-4' => 'Custom 4',
								),
								'default_value' => array (
									0 => 'block-a-2',
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
							array (
								'key' => 'field_57fbb8617d235',
								'label' => 'Number of post',
								'name' => 'number',
								'type' => 'number',
								'instructions' => 'Enter a number of post to be shown',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '50',
									'class' => '',
									'id' => '',
								),
								'default_value' => 4,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'min' => 1,
								'max' => '',
								'step' => '',
							),
							array (
								'key' => 'field_57fbb8617d236',
								'label' => 'Post Offset',
								'name' => 'offset',
								'type' => 'number',
								'instructions' => 'Enter a number of first posts to be skipped',
								'required' => '',
								'conditional_logic' => '',
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => 0,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'min' => 0,
								'max' => '',
								'step' => '',
							),
							array (
								'key' => 'field_57fbb8617d237',
								'label' => 'Categories',
								'name' => 'categories',
								'type' => 'taxonomy',
								'instructions' => 'Select a post categories to be shown up. Select none for show posts from all categories.',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'taxonomy' => 'category',
								'field_type' => 'multi_select',
								'allow_null' => 0,
								'add_term' => 0,
								'save_terms' => 0,
								'load_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_57fbb8617d238',
								'label' => 'Excluded Categories',
								'name' => 'exclude_categories',
								'type' => 'taxonomy',
								'instructions' => 'Select a post categories to be excluded',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'taxonomy' => 'category',
								'field_type' => 'multi_select',
								'allow_null' => 0,
								'add_term' => 0,
								'save_terms' => 0,
								'load_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_57fbb8617d239',
								'label' => 'Posts Order',
								'name' => 'posts_order',
								'type' => 'select',
								'instructions' => 'Select a post ordering',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'latest' => 'Latest posts',
									'latest_gallery' => 'Latest Gallery Posts',
									'latest_video' => 'Latest Video Posts',
									'latest_audio' => 'Latest Audio Posts',
									'featured' => 'Latest Featured Posts',
									'latest_reviews' => 'Latest Reviews',
									'most_review_score' => 'Most Review Score',
									'most_viewed' => 'Most Viewed',
									'daily_trending_viewed' => 'Daily Trending Views',
									'weekly_trending_viewed' => 'Weekly Trending Views',
									'monthly_trending_viewed' => 'Monthly Trending Views',
									'random' => 'Random',
								),
								'default_value' => array (
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
							array (
								'key' => 'field_57fbb8617d23a',
								'label' => 'Pagination',
								'name' => 'pagination',
								'type' => 'select',
								'instructions' => 'Select a way to show a pagination for the post listing',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'choices' => array (
									'hide' => 'Hide',
									'numeric' => 'Numeric',
									'infinite' => 'Infinite with Load More button',
									'infinite-auto' => 'Infinite with auto-loading',
								),
								'default_value' => array (
								),
								'allow_null' => 0,
								'multiple' => 0,
								'ui' => 0,
								'ajax' => 0,
								'return_format' => 'value',
								'placeholder' => '',
							),
							array (
								'key' => 'field_57fbb8727d23b',
								'label' => 'Sidebar',
								'name' => 'sidebar',
								'type' => 'sidebar_selector',
								'instructions' => 'Select a sidebar',
								'required' => '',
								'conditional_logic' => '',
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'allow_null' => '',
								'default_value' => 'blog-sidebar',
							),
						),
						'min' => '',
						'max' => '',
					),
					array (
						'key' => '57fbc54a8c496',
						'name' => '3_sidebars',
						'label' => '3 Sidebars',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_57fbc5558c497',
								'label' => 'Sidebar 1',
								'name' => 'sidebar_1',
								'type' => 'sidebar_selector',
								'instructions' => '',
								'required' => '',
								'conditional_logic' => '',
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'allow_null' => '',
								'default_value' => '',
							),
							array (
								'key' => 'field_57fbc5ac8c498',
								'label' => 'Sidebar 2',
								'name' => 'sidebar_2',
								'type' => 'sidebar_selector',
								'instructions' => '',
								'required' => 1,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'allow_null' => 1,
								'default_value' => '',
							),
							array (
								'key' => 'field_57fbc5b68c499',
								'label' => 'Sidebar 3',
								'name' => 'sidebar_3',
								'type' => 'sidebar_selector',
								'instructions' => '',
								'required' => 1,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'allow_null' => 1,
								'default_value' => '',
							),
						),
						'min' => '',
						'max' => '',
					),
					array (
						'key' => '5824449bc60e2',
						'name' => '2_sidebars',
						'label' => '2 Sidebars',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_582444a9c60e4',
								'label' => 'Sidebar 1',
								'name' => 'sidebar_1',
								'type' => 'sidebar_selector',
								'instructions' => '',
								'required' => 1,
								'conditional_logic' => '',
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'allow_null' => 1,
								'default_value' => '',
							),
							array (
								'key' => 'field_582444b2c60e5',
								'label' => 'Sidebar 2',
								'name' => 'sidebar_2',
								'type' => 'sidebar_selector',
								'instructions' => '',
								'required' => 1,
								'conditional_logic' => '',
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'allow_null' => 1,
								'default_value' => '',
							),
						),
						'min' => '',
						'max' => '',
					),
					array (
						'key' => '57fcac41c00ea',
						'name' => 'full_page_link',
						'label' => 'Full Page-Link',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_57fcac85c00eb',
								'label' => 'Page',
								'name' => 'page',
								'type' => 'post_object',
								'instructions' => 'Select a destination page',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'post_type' => array (
									0 => 'page',
								),
								'taxonomy' => array (
								),
								'allow_null' => 0,
								'multiple' => 0,
								'return_format' => 'id',
								'ui' => 1,
							),
							array (
								'key' => 'field_57fcacedc00ec',
								'label' => 'Title',
								'name' => 'title',
								'type' => 'text',
								'instructions' => 'Enter a text for title',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fcacfcc00ed',
								'label' => 'Subtitle',
								'name' => 'subtitle',
								'type' => 'text',
								'instructions' => 'Enter a text for subtitle',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fcad09c00ee',
								'label' => 'Button Label',
								'name' => 'button_label',
								'type' => 'text',
								'instructions' => 'Enter a text for button label. Leave blank for no button.',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fcadb3fbcc5',
								'label' => 'Background Image',
								'name' => 'background_image',
								'type' => 'image',
								'instructions' => 'Select an image for background',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'return_format' => 'id',
								'preview_size' => 'vww_thumbnail_medium',
								'library' => 'all',
								'min_width' => '',
								'min_height' => '',
								'min_size' => '',
								'max_width' => '',
								'max_height' => '',
								'max_size' => '',
								'mime_types' => 'jpg,jpeg,png',
							),
						),
						'min' => '',
						'max' => '',
					),
					array (
						'key' => '57fbbfbfbf129',
						'name' => 'custom_content',
						'label' => 'Custom Content',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_57fbbfd8bf12a',
								'label' => 'Super-title',
								'name' => 'supertitle',
								'type' => 'text',
								'instructions' => 'Enter a text for super-title',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fbc027bf12b',
								'label' => 'Title',
								'name' => 'title',
								'type' => 'text',
								'instructions' => 'Enter a text for title',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fbc030bf12c',
								'label' => 'Subtitle',
								'name' => 'subtitle',
								'type' => 'text',
								'instructions' => 'Enter a text for subtitle',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'maxlength' => '',
							),
							array (
								'key' => 'field_57fbc045bf12d',
								'label' => 'Content',
								'name' => 'content',
								'type' => 'wysiwyg',
								'instructions' => '',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'default_value' => '',
								'tabs' => 'all',
								'toolbar' => 'full',
								'media_upload' => 1,
							),
							array (
								'key' => 'field_57fbc05fbf12e',
								'label' => 'Sidebar',
								'name' => 'sidebar',
								'type' => 'sidebar_selector',
								'instructions' => '',
								'required' => 0,
								'conditional_logic' => 0,
								'wrapper' => array (
									'width' => '',
									'class' => '',
									'id' => '',
								),
								'allow_null' => 1,
								'default_value' => '',
							),
						),
						'min' => '',
						'max' => '',
					),
				),
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'page_simple_composer.php',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => array (
			0 => 'the_content',
		),
		'active' => 1,
		'description' => '',
	));

	acf_add_local_field_group(array (
		'key' => 'group_57f7b269d0a9a',
		'title' => 'Video Options',
		'fields' => array (
			array (
				'key' => 'field_57f7b2724d6f4',
				'label' => 'Video Source',
				'name' => 'vw_video_oembed_url',
				'type' => 'oembed',
				'instructions' => 'Enter a URL of Youtube, Vimeo or other video service. Supported services are listed at <a href="http://codex.wordpress.org/Embeds" target="_blank">http://codex.wordpress.org/Embeds</a>.',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'width' => '',
				'height' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'video',
				),
			),
		),
		'menu_order' => 0,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
		'local' => 'php',
	));

	acf_add_local_field_group(array (
		'key' => 'group_57f75e935a8b4',
		'title' => 'Review',
		'fields' => array (
			array (
				'key' => 'field_57f75ea435727',
				'label' => 'Enable review',
				'name' => 'vw_enable_review',
				'type' => 'true_false',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_57f760a33e66e',
				'label' => 'Score Style',
				'name' => 'vw_review_score_style',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array (
					array (
						array (
							'field' => 'field_57f75ea435727',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array (
					'width' => '50',
					'class' => '',
					'id' => '',
				),
				'choices' => array (
					'star' => 'Stars',
					'points' => 'Points',
					'percentage' => 'Percentage',
				),
				'default_value' => array (
				),
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'ajax' => 0,
				'return_format' => 'value',
				'placeholder' => '',
			),
			array (
				'key' => 'field_57f75f30c1ae4',
				'label' => 'Position',
				'name' => 'vw_review_position',
				'type' => 'select',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array (
					array (
						array (
							'field' => 'field_57f75ea435727',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array (
					'width' => '50',
					'class' => '',
					'id' => '',
				),
				'choices' => array (
					'top' => 'Top',
					'top-floating' => 'Top - Floating',
					'bottom' => 'Bottom',
					'custom' => 'Custom (using shortcode [review])',
				),
				'default_value' => array (
				),
				'allow_null' => 0,
				'multiple' => 0,
				'ui' => 0,
				'ajax' => 0,
				'return_format' => 'value',
				'placeholder' => '',
			),
			array (
				'key' => 'field_57f75fa2aaa76',
				'label' => 'Review Summary',
				'name' => 'vw_review_summary',
				'type' => 'textarea',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array (
					array (
						array (
							'field' => 'field_57f75ea435727',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array (
					'width' => '50',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'rows' => 8,
				'new_lines' => '',
			),
			array (
				'key' => 'field_57f76313a51be',
				'label' => 'Review Score',
				'name' => 'vw_review_scores',
				'type' => 'repeater',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array (
					array (
						array (
							'field' => 'field_57f75ea435727',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array (
					'width' => '50',
					'class' => '',
					'id' => '',
				),
				'collapsed' => '',
				'min' => '',
				'max' => '',
				'layout' => 'table',
				'button_label' => 'Add Score',
				'sub_fields' => array (
					array (
						'key' => 'field_57f76322a51c2',
						'label' => 'Score',
						'name' => 'score',
						'type' => 'number',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array (
							'width' => '10',
							'class' => '',
							'id' => '',
						),
						'default_value' => 0,
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'min' => 0,
						'max' => 100,
						'step' => '',
					),
					array (
						'key' => 'field_57f76318a51c1',
						'label' => 'Label',
						'name' => 'label',
						'type' => 'text',
						'instructions' => '',
						'required' => 0,
						'conditional_logic' => 0,
						'wrapper' => array (
							'width' => '90',
							'class' => '',
							'id' => '',
						),
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'maxlength' => '',
					),
				),
			),
			array (
				'key' => 'field_57f76006f59b4',
				'label' => 'Pros',
				'name' => 'vw_review_pros',
				'type' => 'textarea',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array (
					array (
						array (
							'field' => 'field_57f75ea435727',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array (
					'width' => '50',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'rows' => 3,
				'new_lines' => '',
			),
			array (
				'key' => 'field_57f7601df59b5',
				'label' => 'Cons',
				'name' => 'vw_review_cons',
				'type' => 'textarea',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array (
					array (
						array (
							'field' => 'field_57f75ea435727',
							'operator' => '==',
							'value' => '1',
						),
					),
				),
				'wrapper' => array (
					'width' => '50',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'rows' => 3,
				'new_lines' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
				),
			),
		),
		'menu_order' => 10,
		'position' => 'normal',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

endif;