<?php
/* -----------------------------------------------------------------------------
 * Enable CDNJS for JS Libs
 * -------------------------------------------------------------------------- */

add_action( 'after_setup_theme', 'presso_cdnjs_setup' );
if ( ! function_exists( 'presso_cdnjs_setup' ) ) {
	function presso_cdnjs_setup() {
		if ( presso_get_theme_option( 'enable_cdnjs' ) ) {
			add_action('wp_enqueue_scripts', 'presso_cdnjs_move_theme_scripts', 99 );
			add_action('wp_enqueue_scripts', 'presso_cdnjs_move_jquery_scripts', 99 );
		}
	}
}

if ( ! function_exists( 'presso_cdnjs_move_theme_scripts' ) ) {
	function presso_cdnjs_move_theme_scripts() {
		presso_move_to_cdnjs( 'smoothscroll', 'https://cdnjs.cloudflare.com/ajax/libs/smoothscroll/%s/SmoothScroll.min.js' );
		presso_move_to_cdnjs( 'hoverintent', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.hoverintent/%s/jquery.hoverIntent.min.js' );
		presso_move_to_cdnjs( 'fitvids', 'https://cdnjs.cloudflare.com/ajax/libs/fitvids/%s/jquery.fitvids.min.js' );
		presso_move_to_cdnjs( 'perfect-scrollbar', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.perfect-scrollbar/%s/js/perfect-scrollbar.jquery.min.js' );
		presso_move_to_cdnjs( 'imagesloaded', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.imagesloaded/%s/imagesloaded.pkgd.min.js' );
		presso_move_to_cdnjs( 'isotope', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.isotope/%s/isotope.pkgd.min.js' );
		presso_move_to_cdnjs( 'jquery-easing', 'https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/%s/jquery.easing.min.js' );
		presso_move_to_cdnjs( 'magnific-popup', 'https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/%s/jquery.magnific-popup.min.js' );
		presso_move_to_cdnjs( 'superfish', 'https://cdnjs.cloudflare.com/ajax/libs/superfish/%s/js/superfish.min.js' );
		presso_move_to_cdnjs( 'waypoint', 'https://cdnjs.cloudflare.com/ajax/libs/waypoints/%s/jquery.waypoints.min.js' );
		presso_move_to_cdnjs( 'waypoint-inview', 'https://cdnjs.cloudflare.com/ajax/libs/waypoints/%s/shortcuts/inview.min.js' );
		presso_move_to_cdnjs( 'waypoint-sticky', 'https://cdnjs.cloudflare.com/ajax/libs/waypoints/%s/shortcuts/sticky.min.js' );
		presso_move_to_cdnjs( 'slick', 'https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/%s/slick.min.js' );
		presso_move_to_cdnjs( 'vegas', 'https://cdnjs.cloudflare.com/ajax/libs/vegas/%s/vegas.min.js' );
		presso_move_to_cdnjs( 'knob', 'https://cdnjs.cloudflare.com/ajax/libs/jQuery-Knob/%s/jquery.knob.min.js' );
		presso_move_to_cdnjs( 'jquery-easy-ticker', 'https://cdnjs.cloudflare.com/ajax/libs/jquery-easy-ticker/%s/jquery.easy-ticker.min.js' );
	}
}

if ( ! function_exists( 'presso_cdnjs_move_jquery_scripts' ) ) {
	function presso_cdnjs_move_jquery_scripts() {
		presso_move_to_cdnjs( 'jquery-core', 'https://cdnjs.cloudflare.com/ajax/libs/jquery/%s/jquery.min.js' );
		presso_move_to_cdnjs( 'jquery-migrate', 'https://cdnjs.cloudflare.com/ajax/libs/jquery-migrate/%s/jquery-migrate.min.js' );
		presso_move_to_cdnjs( 'jquery-blockui', 'https://cdnjs.cloudflare.com/ajax/libs/jquery.blockUI/%s/jquery.blockUI.min.js' );
		presso_move_to_cdnjs( 'jquery-cookie', 'https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/%s/jquery.cookie.min.js' );
	}
}






/*//////////////////////////////////////
// Move Registered Script to CDNJS
//////////////////////////////////////*/

if ( ! function_exists( 'presso_move_to_cdnjs' ) ) {
	function presso_move_to_cdnjs( $handle, $url ) {
		global $wp_scripts;

		if ( isset( $wp_scripts->registered[ $handle ] ) ) {
			$wp_scripts->registered[ $handle ]->src = esc_url( sprintf( $url, $wp_scripts->registered[ $handle ]->ver ) );
		}
	}
}