<?php

/* -----------------------------------------------------------------------------
 * Render Custom CSS
 * -------------------------------------------------------------------------- */
if ( ! function_exists( 'presso_render_theme_css' ) ) {
	function presso_render_theme_css() {
		global $presso_options;

		/**
		 * Render theme css
		 */
		ob_start(); ?>

		/* Color */
		.vw-hamburger-icon, .vw-hamburger-icon::before, .vw-hamburger-icon::after {
			background-color: <?php echo wp_strip_all_tags( $presso_options['header_text_color'] ) ?>;
		}

		.vw-menu-main .main-menu-link span:before {
			background-color: <?php echo wp_strip_all_tags( $presso_options['main_main_menu_link'] ) ?>;
		}



		/* Header Font Family */

		.vw-title-area__post-meta,
		.vw-header-font-family,
		.vw-about-author__tagline,
		#wp-calendar thead,
		#wp-calendar tfoot,
		.vw-menu-main .sub-menu-link > span,
		.vw-menu-top,
		.vw-post-box__meta,
		.vw-pagination,
		.vw-page-links,
		.vw-categories,
		.vw-post-meta,
		.vw-category-list__count,
		nav.woocommerce-pagination {
			font-family: <?php echo wp_strip_all_tags( $presso_options['typography_header']['font-family'] ) ?>;
		}

		
		.button, input[type="button"], input[type="reset"], input[type="submit"], .vw-button,
		.woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit,
		.woocommerce-page a.button, .woocommerce-page button.button, .woocommerce-page input.button, .woocommerce-page #respond input#submit,
		.widget_tag_cloud a,
		.vw-tagline,
		.vw-review__item-title,
		.vw-review__total,
		.vw-super-title,
		.vw-social-counter__count,
		.vw-tab-title,
		.wc-tabs {
			font-family: <?php echo wp_strip_all_tags( $presso_options['typography_header']['font-family'] ) ?>;
			font-weight: <?php echo wp_strip_all_tags( $presso_options['typography_header']['font-weight'] ) ?>;
			<?php if ( isset( $presso_options['typography_header']['font-style'] ) ) : ?>
			font-style: <?php echo wp_strip_all_tags( $presso_options['typography_header']['font-style'] ) ?>;
			<?php endif; ?>
			letter-spacing: <?php echo wp_strip_all_tags( $presso_options['typography_header']['letter-spacing'] ) ?>;
			text-transform: <?php echo wp_strip_all_tags( $presso_options['typography_header']['text-transform'] ) ?>;
		}


		/* Font size */
		@media (min-width: 992px) {
			.vw-about-author__name,
			.vw-related-posts__title,
			.vw-our-picks-posts__title,
			.vw-post-comments-title,
			.vw-comments-title {
		        font-size: <?php echo wp_strip_all_tags( $presso_options['typography_post_footer_title']['font-size'] ) ?>;
		    }
		}



		/* Border */
		body hr,
		body .widget + .widget,
		body .vw-main-post:not(:last-child), body .vw-about-author:not(:last-child), body .vw-related-posts:not(:last-child), body .vw-our-picks-posts:not(:last-child), body .vw-post-navigation:not(:last-child), body .vw-comments-area:not(:last-child), body .vw-post-footer-section-custom:not(:last-child) {
			border-color: <?php echo wp_strip_all_tags( $presso_options['widget_separator']['border-color'] ) ?>;
			border-width: <?php echo wp_strip_all_tags( $presso_options['widget_separator']['border-top'] ) ?>;

			<?php if ( 0 == intval( $presso_options['section_separator']['border-top'] ) ) : ?>
				padding-top: 0;
				padding-bottom: 0;
			<?php endif; ?>
		}

		body .vw-pagination,
		body .vwspc-section-post-box:not(:first-child) .vwspc-section-content > :first-child, body .vwspc-section-post-box-sidebar:not(:first-child) .vwspc-section-content > :first-child, body .vwspc-section-2-sidebars-section .widget:first-child, body .vwspc-section-3-sidebars-section .widget:first-child, body .vwspc-section-custom-section:not(:first-child) .vwspc-section-content > :first-child, body .vwspc-section:not(:first-child) body .vwspc-section-sidebar .widget:first-child {
			border-color: <?php echo wp_strip_all_tags( $presso_options['section_separator']['border-color'] ) ?>;
			border-width: <?php echo wp_strip_all_tags( $presso_options['section_separator']['border-top'] ) ?>;

			<?php if ( 0 == intval( $presso_options['section_separator']['border-top'] ) ) : ?>
				padding-top: 0;
			<?php endif; ?>
		}

		/* Mobile Logo */
		@media (max-width: 767px) {
			div.vw-header__logo {
				padding-top: <?php echo wp_strip_all_tags( $presso_options['mobile_logo_spacing']['padding-top'] ) ?>;
				padding-bottom: <?php echo wp_strip_all_tags( $presso_options['mobile_logo_spacing']['padding-bottom'] ) ?>;
				padding-left: <?php echo wp_strip_all_tags( $presso_options['mobile_logo_spacing']['padding-left'] ) ?>;
				padding-right: <?php echo wp_strip_all_tags( $presso_options['mobile_logo_spacing']['padding-right'] ) ?>;
			}
		}

		/* Accent */

		.vw-post-content a {
		  color: <?php echo $presso_options['accent_color'] ?>;
		}

		/* Accent - Auto generated */
		.vw-footer-sidebar .widget-title, .vw-menu-mobile .menu-link:hover, .vw-404-box__hero-title, .vw-accordion .ui-state-hover span, .vw-404-text {
  color: <?php echo $presso_options['accent_color'] ?>; }

.vw-post-content th, .vw-comment__content th, .no-touch button:hover, .no-touch input[type="button"]:hover, .no-touch input[type="reset"]:hover, .no-touch input[type="submit"]:hover, .no-touch .woocommerce a.button:hover, .no-touch .woocommerce button.button:hover, .no-touch .woocommerce input.button:hover, .no-touch .woocommerce #respond input#submit:hover, .no-touch .woocommerce-page a.button:hover, .no-touch .woocommerce-page button.button:hover, .no-touch .woocommerce-page input.button:hover, .no-touch .woocommerce-page #respond input#submit:hover, .no-touch .vw-button:hover, .vw-button--accent, .no-touch .vw-button--outline.vw-button:hover, .vw-top-bar .vw-social-icon:hover, .vw-title-area__nav-button:hover, .vw-menu-top .menu-item:hover, .vw-menu-main .menu-item:hover, .vw-menu-top .main-menu-link:hover, .vw-menu-main .main-menu-link:hover, .vw-pagination__links .page-numbers.current, .vw-post-box--block-d .vw-post-views, .vw-post-box--slide-1:hover .vw-post-box__read-more, .vw-categories a, .vw-page-links > span:not(:first-child), .vw-scroll-to-top, .vw-content-slider .slick-prev, .vw-content-slider .slick-next, .vw-dropcap-circle, .vw-dropcap-box, .vw-review--points .vw-review__item-score-bar, .vw-review--percentage .vw-review__item-score-bar, .vw-review-summary, .sk-folding-cube .sk-cube:before, #wp-calendar tbody td:hover, .widget_product_tag_cloud .tagcloud a:hover, .widget_tag_cloud .tagcloud a:hover, .vw-category-list__count, .widget #sb_instagram .sbi_follow_btn a {
  background-color: <?php echo $presso_options['accent_color'] ?>; }
.vw-footer-sidebar .widget-title, .vw-menu-mobile .menu-link:hover, .vw-404-box__hero-title, .vw-accordion .ui-state-hover span, .vw-404-text {
		color: <?php echo $presso_options['accent_color'] ?>; }

		.vw-post-content th, .vw-comment__content th, .no-touch button:hover, .no-touch input[type="button"]:hover, .no-touch input[type="reset"]:hover, .no-touch input[type="submit"]:hover, .no-touch .woocommerce a.button:hover, .no-touch .woocommerce button.button:hover, .no-touch .woocommerce input.button:hover, .no-touch .woocommerce #respond input#submit:hover, .no-touch .woocommerce-page a.button:hover, .no-touch .woocommerce-page button.button:hover, .no-touch .woocommerce-page input.button:hover, .no-touch .woocommerce-page #respond input#submit:hover, .no-touch .vw-button:hover, .vw-button--accent, .no-touch .vw-button--outline.vw-button:hover, .vw-top-bar .vw-social-icon:hover, .vw-title-area__nav-button:hover, .vw-menu-top .menu-item:hover, .vw-menu-main .menu-item:hover, .vw-menu-top .main-menu-link:hover, .vw-menu-main .main-menu-link:hover, .vw-pagination__links .page-numbers.current, .vw-post-box--block-d .vw-post-views, .vw-post-box--slide-1:hover .vw-post-box__read-more, .vw-categories a, .vw-page-links > span:not(:first-child), .vw-scroll-to-top, .vw-content-slider .slick-prev, .vw-content-slider .slick-next, .vw-dropcap-circle, .vw-dropcap-box, .vw-review--points .vw-review__item-score-bar, .vw-review--percentage .vw-review__item-score-bar, .vw-review-summary, .sk-folding-cube .sk-cube:before, #wp-calendar tbody td:hover, .widget_product_tag_cloud .tagcloud a:hover, .widget_tag_cloud .tagcloud a:hover, .vw-category-list__count, .widget #sb_instagram .sbi_follow_btn a {
		background-color: <?php echo $presso_options['accent_color'] ?>; }

		
		<?php
		do_action( 'presso_action_render_custom_css' );

		return ob_get_clean();
	}
}




add_action( 'wp_enqueue_scripts', 'presso_add_theme_css', 99 );
if ( ! function_exists( 'presso_add_theme_css' ) ) {
	function presso_add_theme_css() {

		/**
		 * Add theme css
		 */
		wp_add_inline_style( 'presso-css-theme', presso_render_theme_css() );


		/**
		 * Add custom css
		 */
		wp_add_inline_style( 'presso-css-theme', wp_strip_all_tags( presso_get_theme_option( 'custom_css' ) ) );

	}
}