<?php

/* -----------------------------------------------------------------------------
 * Add Link To Author Page
 * -------------------------------------------------------------------------- */

add_filter( 'get_comment', 'presso_force_comment_author_url' );
function presso_force_comment_author_url( $comment ) {
	// does the comment have a valid author URL?
	$no_url = !$comment->comment_author_url || $comment->comment_author_url == 'http://';

	if ( $comment->user_id && $no_url ) {
		// comment was written by a registered user but with no author URL
		$comment->comment_author_url = get_author_posts_url( $comment->user_id );
	}

	return $comment;
}





/* -----------------------------------------------------------------------------
 * Remove extra padding in image caption
 * -------------------------------------------------------------------------- */

add_filter( 'img_caption_shortcode_width', 'presso_remove_caption_padding' );
if ( ! function_exists( 'presso_remove_caption_padding' ) ) {
	function presso_remove_caption_padding( $width ) {
		return $width - 10;
	}
}