<?php

if ( ! function_exists( 'presso_get_share_links' ) ) {
	function presso_get_share_links() {
		$links = array();
		$post_id = get_the_id();
		$post_url = esc_url( get_permalink() );
		$post_title = wp_strip_all_tags( get_the_title() );
		$thumbnail_url = '';
		if ( has_post_thumbnail() ) {
			$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_id() ), 'full' );
			$thumbnail_url = esc_url( $thumbnail[0] );
		}

		$links[ 'facebook_url' ] = sprintf( 'https://www.facebook.com/sharer.php?u=%s', $post_url );
		$links[ 'twitter_url' ] = sprintf( 'https://twitter.com/intent/tweet?text=%s', $post_title.'%20-%20'.$post_url );
		$links[ 'pinterest_url' ] = sprintf( 'https://pinterest.com/pin/create/button/?url=%s&media=%s&description=%s', $post_url, $thumbnail_url, $post_title );
		$links[ 'gplus_url' ] = sprintf( 'https://plus.google.com/share?url=%s', $post_url );
		$links[ 'linkedin_url' ] = sprintf( 'https://www.linkedin.com/cws/share?url=%s', $post_url );
		$links[ 'email_url' ] = sprintf( 'mailto:?subject=%s&amp;body=%s', $post_title, urlencode( sprintf( esc_html__( 'Checkout this url %s', 'presso' ), $post_url ) ) );

		return $links;
	}
}

if ( ! function_exists( 'presso_the_post_share_links' ) ) {
	function presso_the_post_share_links( $classes='' ) {
		if ( ! is_single() && ! is_page() ) return;
		
		$links = presso_get_share_links();
		?>
		<div class="vw-post-share">
			<a class="vw-post-share__link vw-post-share__link--facebook" href="<?php echo esc_url( $links[ 'facebook_url' ] ) ?>"><i class="vw-icon icon-social-facebook"></i></a>
			<a class="vw-post-share__link vw-post-share__link--twitter" href="<?php echo esc_url( $links[ 'twitter_url' ] ) ?>"><i class="vw-icon icon-social-twitter"></i></a>
			<a class="vw-post-share__link vw-post-share__link--pinterest" href="<?php echo esc_url( $links[ 'pinterest_url' ] ) ?>"><i class="vw-icon icon-social-pinterest"></i></a>
			<a class="vw-post-share__link vw-post-share__link--gplus" href="<?php echo esc_url( $links[ 'gplus_url' ] ) ?>"><i class="vw-icon icon-social-gplus"></i></a>
			<a class="vw-post-share__link vw-post-share__link--linkedin" href="<?php echo esc_url( $links[ 'linkedin_url' ] ) ?>"><i class="vw-icon icon-social-linkedin"></i></a>
			<a class="vw-post-share__link vw-post-share__link--email" href="<?php echo esc_attr( $links[ 'email_url' ] ) ?>"><i class="vw-icon icon-social-email"></i></a>
		</div>
		<?php
	}
}


if ( ! function_exists( 'presso_the_post_share_button' ) ) {
	function presso_the_post_share_button() {
		$links = presso_get_share_links();

		?>
		<div class="vw-post-share-button vw-hoverintent">
			<span><i class="vw-icon icon-entypo-share"></i> <?php esc_html_e( 'Share', 'presso' ); ?></span>
			
			<div class="vw-post-share-button__panel">
				<a class="vw-post-share__link vw-post-share__link--large vw-post-share__link--facebook" href="<?php echo esc_url( $links[ 'facebook_url' ] ) ?>"><i class="vw-icon icon-social-facebook"></i></a>
				<a class="vw-post-share__link vw-post-share__link--large vw-post-share__link--twitter" href="<?php echo esc_url( $links[ 'twitter_url' ] ) ?>"><i class="vw-icon icon-social-twitter"></i></a>
				<a class="vw-post-share__link vw-post-share__link--large vw-post-share__link--pinterest" href="<?php echo esc_url( $links[ 'pinterest_url' ] ) ?>"><i class="vw-icon icon-social-pinterest"></i></a>
				<a class="vw-post-share__link vw-post-share__link--large vw-post-share__link--gplus" href="<?php echo esc_url( $links[ 'gplus_url' ] ) ?>"><i class="vw-icon icon-social-gplus"></i></a>
				<a class="vw-post-share__link vw-post-share__link--large vw-post-share__link--linkedin" href="<?php echo esc_url( $links[ 'linkedin_url' ] ) ?>"><i class="vw-icon icon-social-linkedin"></i></a>
				<a class="vw-post-share__link vw-post-share__link--large vw-post-share__link--email" href="<?php echo esc_attr( $links[ 'email_url' ] ) ?>"><i class="vw-icon icon-social-email"></i></a>
			</div>
		</div>
		<?php
	}
}