<?php 
/*
Template Name: Large title page
*/
?>

<?php get_header(); ?>

<?php get_template_part( 'templates/site/title-area' ); ?>

<section class="vw-content-area clearfix <?php echo esc_attr( presso_get_sidebar_position_class() ); ?>">
	
	<div class="container">
		<div class="row">

			<main class="vw-content-main" role="main" <?php presso_itemprop( "mainContentOfPage" ); ?>>

				<?php if ( have_posts() ) : ?>

					<?php do_action( 'presso_action_before_single_post' ); ?>

					<?php while ( have_posts() ) : the_post(); ?>

						<article <?php post_class( 'vw-main-post' ); ?>>

							<div class="vw-post-content clearfix" <?php presso_itemprop( 'articleBody' ); ?>><?php the_content(); ?></div>

							<footer class="vw-post-footer"><?php presso_the_link_pages(); ?></footer>

							<?php do_action( 'presso_action_post_schema' ); ?>

						</article><!-- #post-## -->

					<?php endwhile; ?>

					<?php do_action( 'presso_action_after_single_post' ); ?>

					<?php if ( ! presso_get_theme_option( 'page_force_disable_comments' ) && ( comments_open() || get_comments_number() ) ) comments_template(); ?>

				<?php endif; ?>

			</main>

			<?php if ( presso_get_sidebar_position() != 'no' ) get_sidebar(); ?>

		</div>
	</div>

</section>

<?php get_footer(); ?>