<?php get_header(); ?>

<?php get_template_part( 'templates/site/title-area' ); ?>

<div class="vw-content-area clearfix <?php presso_the_sidebar_position_class(); ?>">
	<div class="container">
		<div class="row">

			<main class="vw-content-main" role="main" <?php presso_itemprop( "mainContentOfPage" ); ?>>

				<?php if ( have_posts() ) : ?>

					<?php do_action( 'presso_action_before_single_post' ); ?>

					<?php while ( have_posts() ) : the_post(); ?>

						<article <?php post_class( 'vw-main-post' ); ?>>
						
							<?php
							$format = get_post_format();
							
							if ( 'video' == $format ) {
								presso_the_post_video();

							} elseif ( 'audio' == $format ) {
								presso_the_post_audio();

							} elseif ( 'gallery' == $format ) {
								$layout = get_post_meta( get_the_ID(), 'vw_gallery_layout', true );

								if ( $layout != 'slider' ) {
									presso_the_post_gallery();
								}

							}
							?>

							<div class="vw-post-content clearfix" <?php presso_itemprop( 'articleBody' ); ?>><?php the_content(); ?></div>

							<footer class="vw-post-footer clearfix"><?php presso_the_link_pages(); ?><?php the_tags( '<div class="vw-tags"><span class="vw-tags__title vw-header-font"><i class="vw-icon icon-entypo-tag"></i></span> ', '', '</div>' ); ?></footer>

							<?php do_action( 'presso_action_post_schema', 'main-post' ); ?>

						</article><!-- #post-## -->

					<?php endwhile; ?>

					<?php do_action( 'presso_action_after_single_post' ); ?>

					<?php presso_the_post_footer_sections(); ?>

				<?php endif; ?>

			</main>

			<?php if ( presso_has_sidebar() ) get_sidebar(); ?>

		</div>
	</div>
</div>

<?php get_footer(); ?>