/* -----------------------------------------------------------------------------
 * 
 * Presso Theme
 * 
 * -------------------------------------------------------------------------- */
.clearfix::after {
  clear: both;
  content: "";
  display: table; }

/* -----------------------------------------------------------------------------
 * 
 * REVIEW
 * 
 * -------------------------------------------------------------------------- */
.vw-review {
  margin-top: 48px;
  margin-bottom: 48px;
  padding: 24px 0;
  border-top: 4px solid #eee;
  border-bottom: 4px solid #eee; }

.vw-review--top-floating .vw-review__total,
.vw-review--top-floating .vw-review__summary,
.vw-review--top-floating .vw-review__pros-cons,
.vw-review--top-floating .vw-review__review-summary,
.vw-review--top-floating .vw-review__pros, .vw-review--top-floating .vw-review__cons {
  display: block;
  width: auto; }

.vw-review--top-floating .vw-review__total {
  margin-bottom: 24px; }

.vw-review--top-floating .vw-review__cons {
  padding-left: 0; }

.vw-review--top-floating .vw-review__pros-title,
.vw-review--top-floating .vw-review__cons-title {
  text-align: left; }

@media (min-width: 992px) {
  .vw-review--top-floating {
    float: left;
    width: 40%;
    margin-right: 24px;
    margin-bottom: 24px; } }

.vw-review--top-floating .vw-review__summary {
  display: block !important; }

.vw-review--top-floating .vw-review__review-summary {
  font-size: 1em; }

.vw-review--top-floating.vw-review--star .vw-review__total {
  float: none;
  text-align: left; }
  .vw-review--top-floating.vw-review--star .vw-review__total .vw-stars-icon, .vw-review--top-floating.vw-review--star .vw-review__total .vw-stars-icon__full-star {
    background-size: 128px 48px;
    height: 24px; }
  .vw-review--top-floating.vw-review--star .vw-review__total .vw-stars-icon {
    width: 128px; }

.vw-review--top-floating.vw-review--points .vw-review__total,
.vw-review--top-floating.vw-review--percentage .vw-review__total {
  margin-bottom: 0; }

.vw-review--top-floating.vw-review--points .vw-review__review-summary,
.vw-review--top-floating.vw-review--percentage .vw-review__review-summary {
  padding-left: 0;
  padding-right: 0; }

.vw-review__title {
  margin-top: 0;
  margin-bottom: 24px; }

.vw-review__summary {
  margin-bottom: 24px; }

.vw-review__review-summary {
  padding-right: 15px;
  vertical-align: top;
  font-style: italic;
  color: #b0b0b0; }
  @media (min-width: 992px) {
    .vw-review__review-summary {
      font-size: 16px; } }

.vw-review__total {
  /* empty */ }

.vw-review__user-rating,
.vw-review__pros-cons,
.vw-review__items {
  border-top: 1px solid #eee; }

.vw-review__items {
  padding: 24px 0; }

.vw-review__item {
  position: relative; }
  .vw-review__item + .vw-review__item {
    margin-top: 24px; }

.vw-review__item-title {
  color: #333; }
  .vw-review__item-title span:first-child {
    font-weight: 900;
    font-size: 13px;
    text-transform: uppercase; }

.vw-review__item-title-score {
  display: inline-block;
  padding: 0px 6px;
  margin-left: 10px;
  font-size: 12px;
  line-height: 20px;
  font-weight: bold;
  color: #fff;
  background-color: #333; }

.vw-review__item-score {
  /* empty */ }

.vw-review__item-score-bar {
  /* empty */ }

.vw-review__item-title-separator {
  display: none;
  opacity: 0.25; }

/*//////////////////////////////////////
// Layout: Star
//////////////////////////////////////*/
.vw-review--star .vw-review__item-title {
  float: left; }

@media (min-width: 992px) {
  .vw-review--star.vw-review--top .vw-review__review-summary, .vw-review--star.vw-review--bottom .vw-review__review-summary, .vw-review--star.vw-review--custom .vw-review__review-summary {
    padding-right: 110px; } }

.vw-review--star .vw-review__total,
.vw-review--star .vw-review__item-score {
  float: right; }

@media (max-width: 767px) {
  .vw-review--star .vw-review__total {
    float: none;
    text-align: left; } }

.vw-review--star .vw-review__items {
  padding: 12px 0; }

.vw-review--star .vw-review__item + .vw-review__item {
  margin-top: 12px;
  padding-top: 12px;
  border-top: 1px solid rgba(0, 0, 0, 0.05); }

/*//////////////////////////////////////
// Layout: Potins/Percentage
//////////////////////////////////////*/
.vw-review--points .vw-review__total,
.vw-review--percentage .vw-review__total {
  display: block !important;
  padding: 0 15px 12px 15px;
  font-size: 24px;
  font-weight: bold;
  letter-spacing: -2px;
  line-height: 48px; }
  .vw-review--points .vw-review__total.vw-review__total--percentage span:first-child:after,
  .vw-review--percentage .vw-review__total.vw-review__total--percentage span:first-child:after {
    content: '%';
    font-size: 0.5em;
    margin-left: 0.25em;
    line-height: 1em; }

@media (min-width: 992px) {
  .vw-review--points .vw-review__review-summary,
  .vw-review--percentage .vw-review__review-summary {
    padding-left: 24px;
    padding-bottom: 12px; } }

@media (min-width: 992px) {
  .vw-review--points .vw-review__summary,
  .vw-review--percentage .vw-review__summary {
    display: table; }
    .vw-review--points .vw-review__summary > *,
    .vw-review--percentage .vw-review__summary > * {
      display: table-cell; } }

.vw-review--points .vw-review__item-title,
.vw-review--percentage .vw-review__item-title {
  margin-bottom: 6px; }

.vw-review--points .vw-review__item-score,
.vw-review--percentage .vw-review__item-score {
  height: 12px;
  display: block;
  background-color: #eee; }

.vw-review--points .vw-review__item-score-bar,
.vw-review--percentage .vw-review__item-score-bar {
  height: 100%; }

/*//////////////////////////////////////
// Review Pros/Cons
//////////////////////////////////////*/
.vw-review__pros-cons {
  display: table;
  width: 100%;
  padding-bottom: 18px; }

.vw-review__pros, .vw-review__cons {
  display: table-cell;
  width: 50%;
  padding-top: 24px; }

.vw-review__pros {
  padding-right: 2%; }

.vw-review__cons {
  padding-left: 2%; }

.vw-review__pros-title,
.vw-review__cons-title {
  margin-bottom: 12px;
  text-align: center; }

.vw-review__pros-summary,
.vw-review__cons-summary {
  font-size: 0.85em;
  color: #686868; }

@media (max-width: 991px) {
  .vw-review__total,
  .vw-review__summary,
  .vw-review__pros-cons,
  .vw-review__review-summary,
  .vw-review__pros, .vw-review__cons {
    display: block;
    width: auto; }
  .vw-review__total {
    margin-bottom: 24px; }
  .vw-review__cons {
    padding-left: 0; }
  .vw-review__pros-title,
  .vw-review__cons-title {
    text-align: left; } }

/*//////////////////////////////////////
// Review Summary
//////////////////////////////////////*/
.vw-review-summary {
  display: inline-block;
  height: 44px;
  line-height: 44px;
  padding: 0 10px;
  color: #fff; }

.vw-review-summary__icon {
  display: inline-block;
  height: 1em;
  width: 1em;
  margin-bottom: -2px;
  margin-right: 5px; }

div.vw-review .vw-review__total,
div.vw-review .vw-review__item-score {
  display: none; }

div.vw-review .vw-review__review-summary {
  padding-left: 0; }

.vw-review__item + .vw-review__item {
  margin-top: 0;
  padding-top: 12px;
  border-top: 1px solid rgba(0, 0, 0, 0.05); }
