<?php
/*
@var $gallery_photos
@var $gallery_layout
@var $gallery_class
*/

$image_size = 'presso_thumbnail_full';

$attr_gallery_class = '' ;
if ( ! empty( $gallery_class ) ) {
	$attr_gallery_class = implode( ' ', $gallery_class );
}
?>

<div class="vw-gallery <?php echo esc_attr( $attr_gallery_class ); ?> vw-single-slider">

	<div class="vw-slides vw-slides--loading">
	
		<?php foreach ( $gallery_photos as $i => $attachment_id ) : ?>
			<div class="vw-gallery__item vw-slide">
				<figure>
					<div class="vw-gallery__thumbnail" style="position: relative; overflow: hidden; ">
						<?php echo wp_get_attachment_image( $attachment_id, $image_size ); ?>
					</div>

					<?php $excerpt = trim( get_post_field( 'post_excerpt', $attachment_id ) );
					if ( $excerpt ) : ?>
						<figcaption class="vw-floating-caption">
							<span>
								<?php echo wp_kses_post( apply_filters( 'presso_filter_gallery_caption',  $excerpt ) ); ?>
								<?php presso_the_location_link( $attachment_id, 'icon' ); ?>
							</span>
						</figcaption>
					<?php endif; ?>

				</figure>
			</div>
		<?php endforeach; ?>

	</div>
</div>