<?php 
$product = new WC_Product( get_the_ID() );
?>

<div class="vw-post-box vw-post-box--woo vw-post-box--woo-1 vw-post-box--block-h" <?php presso_itemtype('Article'); ?>>

	<div class="vw-post-box__inner">

		<?php if ( has_post_thumbnail() ) : ?>
		<?php if ( $product->is_on_sale() ) : ?>
			<span class="onsale"><?php esc_html_e( 'Sale', 'presso' ) ?></span>
		<?php endif; ?>
		
		<div class="vw-post-box__thumbnail-wrapper">

			<div class="vw-post-box__thumbnail" href="<?php echo esc_url( get_permalink() ); ?>" rel="bookmark" data-mfp-src="<?php echo esc_url( presso_get_post_video_url() ); ?>">
				<?php the_post_thumbnail( apply_filters( 'presso_filter_post_box_thumb', 'presso_thumbnail_medium', 'woo-1' ), array( 'class'=>'vw-inview' ) ); ?>
			</div>

			<?php get_template_part( 'templates/loop/post-overlay', presso_get_theme_option( 'post_hover_layout' ) ); ?>

		</div>
		<?php endif; ?>

		<div class="vw-post-box__content">

			<h3 class="vw-post-box__title" <?php presso_itemprop('headline'); ?>>
				<a class="vw-post-box__link" href="<?php echo esc_url( get_permalink() ); ?>" <?php presso_itemprop('url'); ?> rel="bookmark">
					<?php the_title(); ?>
				</a>
			</h3>

			<?php
			$tagline = get_post_meta( get_the_id(), 'vw_product_tagline', true );
			if ( ! empty( $tagline ) ) : ?>
			<div class="vw-post-box__meta">
				<?php echo esc_html( $tagline ); ?>
			</div>
			<?php endif; ?>
			
			<div class="vw-post-box__footer">
				<div class="vw-post-box__price">
					<?php echo $product->get_price_html(); ?>
				</div>

			</div>

		</div>

	</div>

	<?php do_action( 'presso_action_post_schema' ); ?>
	
</div>