<?php
// Get logo
$logo = presso_get_theme_option( 'logo' );
$logo_2x = presso_get_theme_option( 'logo_2x' );
$mobile_logo = presso_get_theme_option( 'mobile_logo' );
$mobile_logo_2x = presso_get_theme_option( 'mobile_logo_2x' );

// Avoid unset 2x logo
if ( empty( $logo_2x[ 'url' ] ) ) {	$logo_2x = $logo; }
if ( empty( $mobile_logo_2x[ 'url' ] ) ) {	$mobile_logo_2x = $mobile_logo; }
?>

<!-- Logo -->
<div class="vw-logo" <?php presso_itemtype('Organization'); ?>>
	
	<a class="vw-logo__link" href="<?php echo esc_url( home_url('/') ); ?>" <?php presso_itemprop('url'); ?>>

		<?php if ( ! empty( $logo[ 'url' ] ) ): ?>
			<?php if ( ! empty( $mobile_logo[ 'url' ] ) ): ?>
				<img class="vw-logo__mobile_image" src="<?php echo esc_url( $mobile_logo[ 'url' ] ); ?>" srcset="<?php echo esc_url( $mobile_logo_2x[ 'url' ] ); ?> 2x" width="<?php echo esc_attr( $mobile_logo[ 'width' ] ) ?>" height="<?php echo esc_attr( $mobile_logo[ 'height' ] ) ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" <?php presso_itemprop('mobile_logo'); ?>>
			<?php endif; ?>

			<img class="vw-logo__image" src="<?php echo esc_url( $logo[ 'url' ] ); ?>" srcset="<?php echo esc_url( $logo_2x[ 'url' ] ); ?> 2x" width="<?php echo esc_attr( $logo[ 'width' ] ) ?>" height="<?php echo esc_attr( $logo[ 'height' ] ) ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" <?php presso_itemprop('logo'); ?>>

		<?php else: ?>

			<h1 class="vw-logo__title" <?php presso_itemprop('name'); ?>><?php echo esc_html( get_bloginfo( 'name' ) ); ?></h1>

		<?php endif; ?>

		<?php if ( presso_get_theme_option( 'show_site_tagline' ) && get_bloginfo( 'description' ) ): ?>
			<p class="vw-logo__tagline" <?php presso_itemprop('description'); ?>><?php echo esc_html( get_bloginfo( 'description' ) ); ?></p>
		<?php endif; ?>

	</a>

</div>
<!-- End Logo -->